<?php
/**
 *  functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * * @package ac_repair Premium
 */
$query='';
if ( ! function_exists( 'ac_repair_lite_setup' ) ) :
    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * Note that this function is hooked into the after_setup_theme hook, which
     * runs before the init hook. The init hook is too late for some features, such
     * as indicating support for post thumbnails.
     */
    function ac_repair_lite_setup() {
        define( 'MTS_THEME_VERSION', '2.0.6' );
        /*
         * Make theme available for translation.
         * Translations can be filed in the /languages/ directory.
         * If you're building a theme based on publishable, use a find and replace
         * to change 'ac_repair Premium' to the name of your theme in all the template files.
         */
        load_theme_textdomain( 'ac_repair Premium', get_template_directory() . '/languages' );

        // Add default posts and comments RSS feed links to head.
        add_theme_support( 'automatic-feed-links' );

        /*
         * Let WordPress manage the document title.
         * By adding theme support, we declare that this theme does not use a
         * hard-coded <title> tag in the document head, and expect WordPress to
         * provide it for us.
         */
        add_theme_support( 'title-tag' );

        /*
         * Enable support for Post Thumbnails on posts and pages.
         *
         * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
         */
        add_theme_support( 'post-thumbnails' );
        set_post_thumbnail_size( 150, 150, true );
        add_image_size( 'ac_repair Premium-related', 200, 125, true ); //related

        // This theme uses wp_nav_menu() in one location.
        register_nav_menus( array(
            'primary' => esc_html__( 'Primary Menu', 'ac_repair Premium' ),
        ) );


        // This theme uses wp_nav_menu() in one location.
        register_nav_menus( array(
            'topmenu' => esc_html__( 'Top Menu', 'ac_repair Premium' ),
        ) );

        /*
         * Switch default core markup for search form, comment form, and comments
         * to output valid HTML5.
         */
        add_theme_support( 'html5', array(
            'comment-form',
            'comment-list',
            'gallery',
            'caption',
        ) );

        if ( ac_repair_lite_is_wc_active() ) {
            add_theme_support( 'woocommerce' );
        }
        
        // Set up the WordPress core custom background feature.
        add_theme_support( 'custom-background', apply_filters( 'ac_repair_lite_custom_background_args', array(
          'default-color' => '#000',
          'default-image' => '',
      ) ) );
    }
endif;
add_action( 'after_setup_theme', 'ac_repair_lite_setup' );

function ac_repair_lite_content_width() {
    $GLOBALS['content_width'] = apply_filters( 'ac_repair_lite_content_width', 678 );
}
add_action( 'after_setup_theme', 'ac_repair_lite_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function ac_repair_lite_widgets_init() {
    register_sidebar( array(
        'name'          => esc_html__( 'Sidebar', 'ac_repair Premium' ),
        'id'            => 'sidebar',
        'description'   => '',
        'before_widget' => '<div id="%1$s" class="widget %2$s  wow bounceInUp">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );

    /*// Header Ad sidebar
    register_sidebar(array(
        'name' => __('Header Ad', 'ac_repair Premium'),
        'description'   => __( '728x90 Ad Area', 'ac_repair Premium' ),
        'id' => 'widget-header',
        'before_widget' => '<div id="%1$s" class="widget-header">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));*/
    
    // Shop side bar
    register_sidebar( array(
        'name'          => esc_html__( 'Shop Sidebar', 'ac_repair Premium' ),
        'id'            => 'ac_repair-shop-sidebar',
        'description'   => __( 'Add widgets here to appear in your sidebar of shop page.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s wow bounceInUp">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );
    // Blog side bar
    register_sidebar( array(
        'name'          => esc_html__( 'Blog Sidebar', 'ac_repair Premium' ),
        'id'            => 'ac_repair-blog-sidebar',
        'description'   => __( 'Add widgets here to appear in your sidebar of blog page.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s  wow bounceInUp">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );


   // Gtranslate widge top bar
    register_sidebar( array(
        'name'          => esc_html__( 'Language Translate Widge', 'ac_repair Premium' ),
        'id'            => 'ac_repair-gtranslate-sidebar',
        'description'   => __( 'Add Language Translate.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s  wow bounceInUp">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );



    // Services side bar
    register_sidebar( array(
        'name'          => esc_html__( 'Service Sidebar', 'ac_repair Premium' ),
        'id'            => 'ac_repair-service-sidebar',
        'description'   => __( 'Add widgets here to appear in your sidebar of services page.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s  wow bounceInUp">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );

      // Project side bar
    register_sidebar( array(
        'name'          => esc_html__( 'Project Sidebar', 'ac_repair Premium' ),
        'id'            => 'ac_repair-project-sidebar',
        'description'   => __( 'Add widgets here to appear in your sidebar of Project page.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s  wow bounceInUp">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );

    // FOOTER ONE WIDGET SIDEBAR
    register_sidebar( array(
        'name'          => esc_html__( 'Footer One', 'ac_repair Premium' ),
        'id'            => 'ac_repair-footer1',
        'description'   => __( 'Add widgets here to appear in your Footer.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );
    // FOOTER TWO WIDGET SIDEBAR
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Two', 'ac_repair Premium' ),
        'id'            => 'ac_repair-footer2',
        'description'   => __( 'Add widgets here to appear in your Footer.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );
    // FOOTER THREE WIDGET SIDEBAR
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Three', 'ac_repair Premium' ),
        'id'            => 'ac_repair-footer3',
        'description'   => __( 'Add widgets here to appear in your Footer.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );
    // FOOTER FOUR WIDGET SIDEBAR
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Four', 'ac_repair Premium' ),
        'id'            => 'ac_repair-footer4',
        'description'   => __( 'Add widgets here to appear in your Footer.', 'ac_repair Premium' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ) );

    if ( ac_repair_lite_is_wc_active() ) {
        // Register WooCommerce Shop and Single Product Sidebar
        register_sidebar( array(
            'name' => __('Shop Page Sidebar', 'ac_repair Premium' ),
            'description'   => __( 'Appears on Shop main page and product archive pages.', 'ac_repair Premium' ),
            'id' => 'shop-sidebar',
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h4 class="widget-title">',
            'after_title' => '</h4>',
        ) );
        register_sidebar( array(
            'name' => __('Single Product Sidebar', 'ac_repair Premium' ),
            'description'   => __( 'Appears on single product pages.', 'ac_repair Premium' ),
            'id' => 'product-sidebar',
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h4 class="widget-title">',
            'after_title' => '</h4>',
        ) );
    }
}
add_action( 'widgets_init', 'ac_repair_lite_widgets_init' );

require_once get_template_directory() . '/functions/cr.php';
function enqueue_custom_scripts() {
    // Register and enqueue your custom JavaScript file
    wp_enqueue_script('custom-script', get_template_directory_uri() . '/path/to/your/custom-script.js', array(), null, true);
}
add_action('wp_enqueue_scripts', 'enqueue_custom_scripts');
wp_enqueue_script('custom-script', get_template_directory_uri() . '/js/custom-script.js', array(), null, true);

function ac_repair_lite_custom_sidebar() {
    // Default sidebar.
    $sidebar = 'sidebar';

    // Woocommerce.
    if ( ac_repair_lite_is_wc_active() ) {
        if ( is_shop() || is_product_category() ) {
            $sidebar = 'shop-sidebar';
        }
        if ( is_product() ) {
            $sidebar = 'product-sidebar';
        }
    }

    return $sidebar;
}

/**
 * Enqueue scripts and styles.
 */
function ac_repair_lite_scripts() {
    wp_enqueue_style( 'ac_repair Premium-style', get_stylesheet_uri() );

    $handle = 'ac_repair Premium-style';

    // WooCommerce
    if ( ac_repair_lite_is_wc_active() ) {
        if ( is_woocommerce() || is_cart() || is_checkout() ) {
            wp_enqueue_style( 'woocommerce', get_template_directory_uri() . '/css/woocommerce2.css' );
            $handle = 'woocommerce';
        }
    }

    wp_enqueue_script( 'smoothscroll', get_template_directory_uri() . '/js/SmoothScroll.js', array(), '20160809', false );
    wp_enqueue_script( 'jquery-nav', get_template_directory_uri() . '/js/jquery.nav.js', array('jquery'), '20160903', true );
    wp_enqueue_script( 'jquery-bxslider', get_template_directory_uri() . '/js/jquery.bxslider.js', array('jquery'), '4.1.2', true );
     wp_enqueue_script( 'isotope-pkgd', get_template_directory_uri() . '/js/isotope.pkgd.js', array('jquery', 'imagesloaded' ), '20150903', true );
    wp_enqueue_script( 'nivo-lightbox', get_template_directory_uri() . '/js/nivo-lightbox.js', array('jquery'), '20150903', true );
    wp_enqueue_script( 'superfish', get_template_directory_uri() . '/js/superfish.js', array('jquery'), '20150903', true );
    wp_enqueue_script( 'jquery-stellar', get_template_directory_uri() . '/js/jquery.stellar.js', array('imagesloaded'), '20150903', false ); 

    wp_enqueue_script( 'owl-carousel', get_template_directory_uri() . '/js/owl.carousel.js', array('jquery'), '1.3.3', true );

    wp_enqueue_script( 'wow', get_template_directory_uri() . '/js/wow.js', array('jquery'), '20150903', true );
    wp_enqueue_script( 'odometer', get_template_directory_uri() . '/js/odometer.js', array('jquery'), '20150903', true );
    wp_enqueue_script( 'waypoint', get_template_directory_uri() . '/js/waypoint.js', array('jquery'), '20150903', true );
    wp_enqueue_script( 'total-custom', get_template_directory_uri() . '/js/total-custom.js', array('jquery'), '20150903', true );
    wp_enqueue_script('slider', get_template_directory_uri().'/js/slider.js', array(), '1.1', true);
    wp_localize_script( 'total-custom', 'total_localize', array('template_path' => get_template_directory_uri() ));

  // wp_enqueue_script('jquery-3-3-1-min', get_template_directory_uri().'/js/jquery-3.3.1.min.js', array(), '1.1', true);
    //  wp_enqueue_script( 'jquery-3-1-1-slim-min', get_template_directory_uri() . '/js/jquery-3.1.1.slim.min.js', array('jquery'), '20150903', true );
      wp_enqueue_script( 'jquery-colorbox', get_template_directory_uri() . '/js/jquery.colorbox.js', array(), '20160809', false );

    wp_enqueue_style( 'bxslider', get_template_directory_uri() . '/css/jquery.bxslider.css', array(), '4.1.2' );
    wp_enqueue_style( 'colorbox-popup', get_template_directory_uri() . '/css/colorbox.css', array(), '4.1.2' );
    wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.css', array(), '1.0' );
    wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.css', array(), '4.4.0' );
  

    wp_enqueue_style( 'owl-carousel', get_template_directory_uri() . '/css/owl.carousel.css', array(), '1.3.3' );
    wp_enqueue_style( 'owl-theme', get_template_directory_uri() . '/css/owl.theme.css', array(), '1.3.3' );
        wp_enqueue_style( 'nivo-lightbox', get_template_directory_uri() . '/css/nivo-lightbox.css', array(), '1.3.3' );
    wp_enqueue_style( 'superfish', get_template_directory_uri() . '/css/superfish.css', array(), '1.3.3' );

     wp_enqueue_style( 'docs-theme-min', get_template_directory_uri() . '/css/docss.theme.min.css', array(), '1.3.3' );
        wp_enqueue_style( 'owl-carousel-min', get_template_directory_uri() . '/css/owl.carousel.min.css', array(), '1.3.3' );
        wp_enqueue_style( 'owl-theme-default-min', get_template_directory_uri() . '/css/owl.theme.default.min.css', array(), '1.3.3' );
   

    //wp_enqueue_script('owl-carousel-min', get_template_directory_uri().'/js/owl.carousel.min.js', array(), '1.1', true);

  // wp_enqueue_style( 'total-style', get_stylesheet_uri(), array( 'bxslider', 'animate', 'font-awesome', 'owl-carousel', 'owl-theme', 'nivo-lightbox', 'superfish'), '1.0' );
  // wp_enqueue_style( 'total-fonts', total_fonts_url(), array(), null );
   // wp_enqueue_script('script', get_template_directory_uri().'/js/script.js', array(), '1.1', true);
// extra for header
  
   wp_enqueue_style( 'templete', get_template_directory_uri() . '/css-new/templete.css', array(), '1.3.3' );

// extra for header

wp_enqueue_script( 'main', get_template_directory_uri() . '/js/main.js', array('jquery'), '20150903', true );
 wp_enqueue_style( 'style-min', get_template_directory_uri() . '/css/style.min.css', array(), '1.3.3' );

 wp_enqueue_style( 'swiper-min', get_template_directory_uri() . '/css/swiper.min.css', array(), '1.3.3' );
 
 wp_enqueue_script( 'swiper', get_template_directory_uri() . '/js/swiper.min.js', array('jquery'), '20150903', true );
 wp_enqueue_script( 'sliderscript', get_template_directory_uri() . '/js/sliderscript.js', array('jquery'), '20150903', true );

// gallery pop up

 wp_enqueue_style( 'main', get_template_directory_uri() . '/css/gallery/main.css', array(), '1.3.3' );
  wp_enqueue_style( 'lightgallery', get_template_directory_uri() . '/css/gallery/lightgallery.css', array(), '1.3.3' );
// End gallery pop up

    //google fonts
    wp_enqueue_style( 'google-fonts', 'https://fonts.googleapis.com/css?family=Archivo+Narrow|Arimo|Berkshire+Swash|Bitter|Comfortaa|Dancing+Script|Dosis|Droid+Serif|Francois+One|Germania+One|Hammersmith+One|Indie+Flower|Lobster|Muli|Nosifer|PT+Sans|PT+Sans+Caption|PT+Sans+Narrow|Pacifico|Questrial|Roboto+Mono|Roboto+Slab|Source+Serif+Pro|Titillium+Web|Work+Sans|Rubik:700i' );
    // wp_add_inline_style( 'total-style', total_dymanic_styles() );

    wp_enqueue_script( 'ac_repair Premium-customscripts', get_template_directory_uri() . '/js/customscripts.js',array('jquery'),'',true);

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
  }

  $ac_repair_lite_color_scheme = get_theme_mod('ac_repair_template_color', '#fe5722');
  $ac_repair_lite_color_scheme2 = get_theme_mod('ac_repair_template_color2', '#44afdd');
  $header = get_theme_mod('header_textcolor', '#000');
  $ac_repair_lite_layout = get_theme_mod('ac_repair_lite_layout', 'cslayout');

  $custom_css = total_dymanic_styles();
  wp_add_inline_style( $handle, $custom_css );
}
add_action( 'wp_enqueue_scripts', 'ac_repair_lite_scripts' );
/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Implement the Custom style css.
 */
require get_template_directory() . '/inc/style.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/lz-customizer.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/lz-customizer-functions.php';
/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';
/**
 * Load Font Awesome list file.
 */
require get_template_directory() . '/inc/font-awesome-list.php';
/**
 * Load function file.
 */
require get_template_directory() . '/inc/functions.php';
/**
 * Add the Social buttons Widget.
 */
include_once( "functions/widget-social.php" );
require_once('functions/meta-data.php'); // ADD THE META DETA FOR THE PHP
/**
 * Copyrights
 */
if ( ! function_exists( 'ac_repair_lite_copyrights_credit' ) ) {
    function ac_repair_lite_copyrights_credit() { 
        global $mts_options
        ?>
        <!--start copyrights-->
        <div class="copyrights">
            <div class="container">
                <div id="copyright-note">
                    <span>Copyright <?php echo '&copy; '.date_i18n(__('Y','ac_repair')); ?> <?php bloginfo( 'name' ); ?>. All Rights Reserved

            <!--<div class="top">
            
                <a href="#top" class="toplink"><?php //_e('Back to Top','ac_repair Premium'); ?> &uarr;</a>
            </div>-->
        </div>
    </div>
</div>
<!--end copyrights-->
<?php }
}

/**
 * Custom Comments template
 */
if ( ! function_exists( 'ac_repair_lite_comments' ) ) {
    function ac_repair_lite_comment($comment, $args, $depth) { ?>
        <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
            <div id="comment-<?php comment_ID(); ?>" style="position:relative;" itemscope itemtype="http://schema.org/UserComments">
                <div class="comment-author vcard">
                    <?php echo get_avatar( $comment->comment_author_email, 70 ); ?>
                    <div class="comment-metadata">
                        <?php printf('<span class="fn" itemprop="creator" itemscope itemtype="http://schema.org/Person">%s</span>', get_comment_author_link()) ?>
                        <span class="comment-meta">
                          <?php edit_comment_link(__('(Edit)', 'ac_repair Premium'),'  ','') ?>
                      </span>
                  </div>
              </div>
              <?php if ($comment->comment_approved == '0') : ?>
               <em><?php _e('Your comment is awaiting moderation.', 'ac_repair Premium') ?></em>
               <br />
           <?php endif; ?>
           <div class="commentmetadata" itemprop="commentText">
               <?php comment_text() ?>
               <time><?php comment_date(get_option( 'date_format' )); ?></time>
               <span class="reply">
                <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
            </span>
        </div>
    </div>
</li>
<?php }
}

/*
 * Excerpt
 */
function ac_repair_lite_excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt);
} else {
    $excerpt = implode(" ",$excerpt);
}
$excerpt = preg_replace('`[[^]]*]`','',$excerpt);
return $excerpt;
}

/**
 * Shorthand function to check for more tag in post.
 *
 * @return bool|int
 */
function ac_repair_lite_post_has_moretag() {
    return strpos( get_the_content(), '<!--more-->' );
}

if ( ! function_exists( 'ac_repair_lite_readmore' ) ) {
    /**
     * Display a "read more" link.
     */
    function ac_repair_lite_readmore() {
        ?>
      <!--   <div class="readMore">
            <a href="<?php //echo esc_url( get_the_permalink() ); ?>" title="<?php //the_title_attribute(); ?>" target="_blank">
                <?php //_e( 'Continue Reading', 'ac_repair Premium' ); ?>
            </a>
        </div> -->

     
            <?php if( get_theme_mod('blogpage_button_display','show' ) == 'show') :
                      ?>
                      <?php
                        $bloginner_page_id = get_theme_mod('bloginner_page'); 
                        $bloginnerbutn_text = get_theme_mod('blogbutninner_text', 'Continue Reading');
                        ?>

                  
                         <a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php the_title_attribute(); ?>" target="_blank">
                            <?php echo $bloginnerbutn_text; ?>
                                
                            </a>
                   
                      <?php endif ?>



        <?php 
    }
}

/**
 * Breadcrumbs
 */
if (!function_exists('ac_repair_lite_the_breadcrumb')) {
    function ac_repair_lite_the_breadcrumb() {
        if ( is_front_page() ) {
            return;
        }
        echo '<span typeof="v:Breadcrumb" class="root"><a rel="v:url" property="v:title" href="';
        echo esc_url( home_url() );
        /* =====breadcrumb text====== */
        $breadcrumbhometxtbutton = get_theme_mod('ac_repair_breadcrumbhometxt', 'Home'); 
        /* =====breadcrumb text====== */
        echo '">'.(sprintf( __( "$breadcrumbhometxtbutton", 'ac_repair Premium' )));
        echo '</a></span><span class="bread-arrow"> / </span>';
        if (is_single()) {
            $categories = get_the_category();
            if ( $categories ) {
                $level = 0;
                $hierarchy_arr = array();
                foreach ( $categories as $cat ) {
                    $anc = get_ancestors( $cat->term_id, 'category' );
                    $count_anc = count( $anc );
                    if (  0 < $count_anc && $level < $count_anc ) {
                        $level = $count_anc;
                        $hierarchy_arr = array_reverse( $anc );
                        array_push( $hierarchy_arr, $cat->term_id );
                    }
                }
                if ( empty( $hierarchy_arr ) ) {
                    $category = $categories[0];
                    echo '<span typeof="v:Breadcrumb"><a href="'. esc_url( get_category_link( $category->term_id ) ).'" rel="v:url" property="v:title">'.esc_html( $category->name ).'</a></span><span class="bread-arrow"><i class="fa fa-square
                    "></i></span>';
                } else {
                    foreach ( $hierarchy_arr as $cat_id ) {
                        $category = get_term_by( 'id', $cat_id, 'category' );
                        echo '<span typeof="v:Breadcrumb"><a href="'. esc_url( get_category_link( $category->term_id ) ).'" rel="v:url" property="v:title">'.esc_html( $category->name ).'</a></span><span class="bread-arrow"><i class="fa fa-square
                        "></i></span>';
                    }
                }
            }
            echo "<span><span class='treeEnd'>";
            the_title();
            echo "</span></span>";
        } elseif (is_page()) {
            $parent_id  = wp_get_post_parent_id( get_the_ID() );
            if ( $parent_id ) {
                $breadcrumbs = array();
                while ( $parent_id ) {
                    $page = get_page( $parent_id );
                    $breadcrumbs[] = '<span typeof="v:Breadcrumb"><a href="'.esc_url( get_permalink( $page->ID ) ).'" rel="v:url" property="v:title">'.esc_html( get_the_title($page->ID) ). '</a></span><span><i class="fa fa-square
                    "></i></span>';
                    $parent_id  = $page->post_parent;
                }
                $breadcrumbs = array_reverse( $breadcrumbs );
                foreach ( $breadcrumbs as $crumb ) { echo $crumb; }
            }
            echo "<span><span class='treeEnd'>";
            the_title();
            echo "</span></span>";
        } elseif (is_category()) {
            global $wp_query;
            $cat_obj = $wp_query->get_queried_object();
            $this_cat_id = $cat_obj->term_id;
            $hierarchy_arr = get_ancestors( $this_cat_id, 'category' );
            if ( $hierarchy_arr ) {
                $hierarchy_arr = array_reverse( $hierarchy_arr );
                foreach ( $hierarchy_arr as $cat_id ) {
                    $category = get_term_by( 'id', $cat_id, 'category' );
                    echo '<span typeof="v:Breadcrumb"><a href="'.esc_url( get_category_link( $category->term_id ) ).'" rel="v:url" property="v:title">'.esc_html( $category->name ).'</a></span><span><i class="fa fa-square
                    "></i></span>';
                }
            }
            echo "<span><span class='treeEnd'>";
            single_cat_title();
            echo "</span></span>";
        } elseif (is_author()) {
            echo "<span><span class='treeEnd'>";
            if(get_query_var('author_name')) :
                $curauth = get_user_by('slug', get_query_var('author_name'));
            else :
                $curauth = get_userdata(get_query_var('author'));
            endif;
            echo esc_html( $curauth->nickname );
            echo "</span></span>";
        } elseif (is_search()) {
            echo "<span><span class='treeEnd'>";
            the_search_query();
            echo "</span></span>";
        } elseif (is_tag()) {
            echo "<span><span class='treeEnd'>";
            single_tag_title();
            echo "</span></span>";
        }
    }
}


/*
 * Google Fonts
 */
function ac_repair_lite_fonts_url() {
    $fonts_url = '';

    /* Translators: If there are characters in your language that are not
    * supported by Monda, translate this to 'off'. Do not translate
    * into your own language.
    */
    $monda = _x( 'on', 'Monda font: on or off', 'ac_repair Premium' );

    if ( 'off' !== $monda ) {
        $font_families = array();

        if ( 'off' !== $monda ) {
            $font_families[] = urldecode('Roboto:400,500,700,900');
        }

        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            //'subset' => urlencode( 'latin,latin-ext' ),
        );

        $fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );
    }

    return $fonts_url;
}

function ac_repair_lite_scripts_styles() {
    wp_enqueue_style( 'theme-slug-fonts', ac_repair_lite_fonts_url(), array(), null );

}
add_action( 'wp_enqueue_scripts', 'ac_repair_lite_scripts_styles' );

/**
 * WP Mega Menu Plugin Support
 */
function ac_repair_lite_megamenu_parent_element( $selector ) {
    return '.primary-navigation .container';
}
add_filter( 'wpmm_container_selector', 'ac_repair_lite_megamenu_parent_element' );

/**
 * Determines whether the WooCommerce plugin is active or not.
 * @return bool
 */
function ac_repair_lite_is_wc_active() {
    if ( is_multisite() ) {
        include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

        return is_plugin_active( 'woocommerce/woocommerce.php' );
    } else {
        return in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) );
    }
}

/**
 * WooCommerce
 */
if ( ac_repair_lite_is_wc_active() ) {
    if ( !function_exists( 'mts_loop_columns' )) {
        /**
         * Change number or products per row to 3
         *
         * @return int
         */
        function mts_loop_columns() {
            return 3; // 3 products per row
        }
    }
    add_filter( 'loop_shop_columns', 'mts_loop_columns' );

    /**
     * Redefine woocommerce_output_related_products()
     */
    function woocommerce_output_related_products() {
        $args = array(
            'posts_per_page' => 3,
            'columns' => 3,
        );
        woocommerce_related_products($args); // Display 3 products in rows of 1
    }
    
    global $pagenow;
    if ( is_admin() && isset( $_GET['activated'] ) && $pagenow == 'themes.php' ) {
        /**
         * Define WooCommerce image sizes.
         */
        function ac_repair_lite_woocommerce_image_dimensions() {
            $catalog = array(
                'width'     => '210',   // px
                'height'    => '155',   // px
                'crop'      => 1        // true
            );
            $single = array(
                'width'     => '326',   // px
                'height'    => '444',   // px
                'crop'      => 1        // true
            );
            $thumbnail = array(
                'width'     => '74',    // px
                'height'    => '74',   // px
                'crop'      => 0        // false
            );
            // Image sizes
            update_option( 'shop_catalog_image_size', $catalog );       // Product category thumbs
            update_option( 'shop_single_image_size', $single );         // Single product image
            update_option( 'shop_thumbnail_image_size', $thumbnail );   // Image gallery thumbs
        }
        add_action( 'init', 'ac_repair_lite_woocommerce_image_dimensions', 1 );
    }


    /**
     * Change the number of product thumbnails to show per row to 4.
     *
     * @return int
     */
    function ac_repair_lite_woocommerce_thumb_cols() {
     return 4; // .last class applied to every 4th thumbnail
 }
 add_filter( 'woocommerce_product_thumbnails_columns', 'ac_repair_lite_woocommerce_thumb_cols' );


    /**
     * Ensure cart contents update when products are added to the cart via AJAX.
     *
     * @param $fragments
     *
     * @return mixed
     */
    function ac_repair_lite_header_add_to_cart_fragment( $fragments ) {
        global $woocommerce;
        ob_start(); ?>
        
        <a class="cart-contents" href="<?php echo esc_url( $woocommerce->cart->get_cart_url() ); ?>" title="<?php _e( 'View your shopping cart', 'ac_repair Premium' ); ?>"><?php echo sprintf( _n( '%d item', '%d items', $woocommerce->cart->cart_contents_count, 'ac_repair Premium' ), $woocommerce->cart->cart_contents_count );?> - <?php echo $woocommerce->cart->get_cart_total(); ?></a>
        
        <?php $fragments['a.cart-contents'] = ob_get_clean();
        return $fragments;
    }
    add_filter( 'add_to_cart_fragments', 'ac_repair_lite_header_add_to_cart_fragment' );

    /**
     * Optimize WooCommerce Scripts
     * Updated for WooCommerce 2.0+
     * Remove WooCommerce Generator tag, styles, and scripts from non WooCommerce pages.
     */
    function ac_repair_lite_manage_woocommerce_styles() {
        //remove generator meta tag
        remove_action( 'wp_head', array( $GLOBALS['woocommerce'], 'generator' ) );

        //first check that woo exists to prevent fatal errors
        if ( function_exists( 'is_woocommerce' ) ) {
            //dequeue scripts and styles
            if ( ! is_woocommerce() && ! is_cart() && ! is_checkout() ) {
                wp_dequeue_style( 'woocommerce-layout' );
                wp_dequeue_style( 'woocommerce-smallscreen' );
                wp_dequeue_style( 'woocommerce-general' );
                wp_dequeue_style( 'wc-bto-styles' ); //Composites Styles
                wp_dequeue_script( 'wc-add-to-cart' );
                wp_dequeue_script( 'wc-cart-fragments' );
                wp_dequeue_script( 'woocommerce' );
                wp_dequeue_script( 'jquery-blockui' );
                wp_dequeue_script( 'jquery-placeholder' );



            }
        }
    }
    add_action( 'wp_enqueue_scripts', 'ac_repair_lite_manage_woocommerce_styles', 99 );

    // Remove WooCommerce generator tag.
    remove_action('wp_head', 'wc_generator_tag');
}

/**
 * Post Layout for Archives
 */
if ( ! function_exists( 'ac_repair_lite_archive_post' ) ) {
    /**
     * Display a post of specific layout.
     * 
     * @param string $layout
     */
    function ac_repair_lite_archive_post( $layout = '' ) { 
        $ac_repair_lite_full_posts = get_theme_mod('ac_repair_lite_full_posts', '0'); ?>
        <article class="post excerpt col-lg-6 col-md-6 col-sm-6 col-xs-12 wow zoomIn">
                <?php
            if ( is_sticky() && is_home() && ! is_paged() ) {
                printf( '<span class="sticky-post">%s</span>', __( 'Featured', 'ac_repair Premium' ) );
            } ?>
            <?php if ( is_single() ) : ?>
                <div class="post-date-publishable"><?php the_time( get_option( 'date_format' ) ); ?></div>
            <?php endif; ?>



<!-- category page -->
 <div class="inner-blog-post">
       <div class="inner-blogpost">
        <?php //if ( empty($ac_repair_lite_full_posts) ) : ?>
        <?php if ( has_post_thumbnail() ) { ?>
         <div class="ht-blog-thumbnail">

           <a href="<?php the_permalink(); ?>">
                <?php the_post_thumbnail('ac_repair Premium-featured',array('title' => '')); ?>
                <?php if (function_exists('wp_review_show_total')) wp_review_show_total(true, 'latestPost-review-wrapper'); ?>
          </a>
          <div class="overlay"></div>
        <?php if (get_theme_mod('ac_repair_show_date',true) != false){ ?>
            <div class="blog-date"> <i class="fa fa-calendar" aria-hidden="true"></i> <?php echo get_the_date( 'j F, Y' ); ?></div>
        <?php }?>
              <div class="box">
                  <div class="content">
                      <a href="<?php the_permalink(); ?>" class="fa fa-link"></a>
                  </div>
              </div>
          
        </div>

   <?php } ?>
    <?php if (get_theme_mod('ac_repair_show_category',true) != false){ ?>
        <div class="blog-category"> 
        <span><i class="fa fa-file-o" aria-hidden="true"></i><?php foreach((get_the_category()) as $category) { echo $category->cat_name . ' , '; } ?></span>
        </div>
    <?php }?> 

     <?php if (get_theme_mod('ac_repair_show_tags',false) != false){ ?>
            <div class="blog-tags">
                <i class="fa fa-tags" aria-hidden="true"></i>
            <?php
                 if( $tags = get_the_tags() ) {
                    foreach( $tags as $content_tag ) {
                    $sep = ( $content_tag === end( $tags ) ) ? '' : ' ';
                    echo '<a href="' . esc_url(get_term_link( $content_tag, $content_tag->taxonomy )) . '" class="ml-2 mb-2">' . esc_html($content_tag->name) . '</a>' . esc_html($sep);
                    }
                } ?>
            </div>
        <?php }?>
   

    <div class="inner-blogpost-info">
       
         <div class="blog-info-area"> 

                         <?php if (get_theme_mod('ac_repair_show_author',true) != false || get_theme_mod('ac_repair_show_time',true) != false || get_theme_mod('ac_repair_show_comments',true) != false){ ?>
                            <ul class="metabox"> 
                              <?php if (get_theme_mod('ac_repair_show_comments',true) != false){ ?>
                                  <li class="blog-comment"> <i class="fa fa-comment-o" aria-hidden="true"></i> Comment :  <?php echo $my_var = get_comments_number(); ?></li>
                              <?php }?>

                              <?php if (get_theme_mod('ac_repair_show_author',true) != false){ ?>
                               <li class="blog-author"><i class="fa fa-user" aria-hidden="true"></i> By <?php echo get_the_author(); ?> 
                              </li>
                              <?php }?>
                             
                               <?php if (get_theme_mod('ac_repair_show_time',false) != false){ ?>
                                <li class="blog-time"><i class="fa fa-clock-o" aria-hidden="true"></i><?php echo the_time( 'g:i a' ) ?></li>
                              <?php }?>                            
                               <div class="clearfix"></div>
                            </ul>
                          <?php }?>                         
                        </div>
                        <div class="clearfix"></div>
         <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
          <div class="inner-blog-excerpt">
               <?php echo ac_repair_lite_excerpt(45); ?>
          </div>
       <?php if( get_theme_mod('postsocialsshare_button_display','show' ) == 'show') :
        ?>

        <?php $blogbutton = get_theme_mod('blog_page_btn_txt', 'Read More'); ?>

        <?php if(get_theme_mod('blog_page_button_display') != 'on' ){ ?>  
            <div class="blog-page-btn">
            <a href="<?php the_permalink(); ?>" target="_blank">      
            <?php echo ($blogbutton );  ?> <i class="fa fa-arrow-right" aria-hidden="true"></i>
            </a></div>
        <?php } ?>
 

       <!--  <div class="socialMedia">
          <ul>
            <li><a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();?>" target="_blank" class="site-button sharp"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
            <li><a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink();?>&title=<?php the_title();?>&source=<?php the_title();?>" target="_blank" class="site-button sharp"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
            
            <li><a href="https://twitter.com/share?url=<?php the_permalink();?>&amp;text=<?php the_title();?>" class="site-button sharp" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
            <li><a href="http://www.digg.com/submit?url=<?php the_permalink();?>" target="_blank" class="site-button sharp"><i class="fa fa-digg" aria-hidden="true"></i></a></li>
            <li class="share-button"><a href="#" class="site-button sharp"><i class="fa fa-share-alt"></i></a></li>
          </ul>
            <div class="clearfix"></div>
        </div> -->
    <?php //endif ?>  


      <?php else : ?>
        <?php if (ac_repair_lite_post_has_moretag()) : ?>
    
   <div class="clearfix"></div>
 </div>
   <div class="clearfix"></div> 
                   
           </div>
            
       </div> 

<!-- END category page -->

 
                    <?php endif; ?>
                <?php endif; ?>
            <div class="clearfix"></div>
            </article>
       
        <?php }
    }


/**
 * Extras
 */
add_action( 'customize_controls_print_styles', 'ac_repair_customizer_stylesheet' );

function ac_repair_load_custom_wp_admin_style( $hook ) {
    if ( 'appearance_page_about-ac_repair_mag' !== $hook ) {
        return;
    }
    wp_enqueue_style( 'ac_repair_mag-custom-admin-css', get_template_directory_uri() . '/css/themeinfo.css', false, '1.0.0' );
}
add_action( 'admin_enqueue_scripts', 'ac_repair_load_custom_wp_admin_style' );


// Adding Custome Post Type
function createCustomeTypes() {
       // Services Custome type
    register_post_type( 'our-services',
        array(
            'labels' => array(
                'name' => __( 'Services' , 'ac_repair Premium'),
                'singular_name' => __( 'Service', 'ac_repair Premium' )
            ),
            'public' => true,
            'featured_image'=>true,
            'has_archive' => true,
            'menu_icon' => 'dashicons-media-document', //  The url to the icon to be used for this menu or the name of the icon from the iconfont
            'supports' => array('title', 'editor', 'thumbnail', 'page-attributes'),
        )
    );
    
        // SLIDER Custome type
    register_post_type( 'slider',
        array(
            'labels' => array(
                'name' => __( 'Sliders' , 'paccular'),
                'singular_name' => __( 'Slider', 'paccular' )
            ),
            'public' => true,
            'featured_image'=>true,
            'has_archive' => true,
            'menu_icon' => 'dashicons-images-alt', //  The url to the icon to be used for this menu or the name of the icon from the iconfont
            'supports' => array('title', 'editor', 'thumbnail', 'page-attributes'),
        )
    );
}
add_action( 'init', 'createCustomeTypes' );

function testimonialsDesignationCutomFieldHtml(){
    global $post;
    // get the saved value 
    $designation = get_post_meta($post->ID, 'designation', false);
    $designation = !empty($designation[0])?$designation[0]:'';

    // Use nonce for verification
    wp_nonce_field(plugin_basename(__FILE__), 'testimonials_social_media_links');
    echo '<table id="socialUrls" width="100%">';
    echo '<tr> 
    <th width="10%"><span class="dashicons dashicons-welcome-learn-more
"></span></th>
    <td width="90%"><input type="text" name="designation" width="100%" placeholder="Designation" value="'.$designation.'" /></td>
    </tr>';
    echo '</table>';
}
function addtestimonialsHook(){
    add_meta_box('ac_repair-testimonials-designation', __('Add Designation', 'ac_repair'), 'testimonialsDesignationCutomFieldHtml', 'our-testimonial', 'normal', 'high');
}
/**
 * Method to save the custom field for the testimonial posts 
 * When the post is saved, saves our custom data 
 * @param integer $post_id - An id of the post 
 * @author ac_repair <support@ac_repair.com>
 * @since V 1.1  09th jan 2022
 **/
function savetestimonialsSocialCutomData($post_id){
    // If it is our form has not been submitted, so we dont want to do anything
    if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;
    if(empty($_POST['designation']) ){
        // echo 'empty --> '; exit;       
        return;
    }

    $designation = $_POST['designation'];
    update_post_meta($post_id, 'designation', $designation);
}
add_action('add_meta_boxes', 'addtestimonialsHook');
add_action('save_post', 'savetestimonialsSocialCutomData');
/***** End Add custome fields for testimonials section *****/



/***** Start Add custome fields for team section *****/
/**
 * Method to save the custom field for the slider posts 
 * When the post is saved, saves our custom data 
 * @author ac_repair <support@ac_repair.com>
 * @since V 1.1  09th jan 2022
 **/
function teamSocialURLsCutomFieldHtml(){
    global $post;
    // get the saved value 

    $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
    $teamTwitterValue = !empty($teamTwitter[0])?$teamTwitter[0]:''; 
    $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
    $teamFacebookValue = !empty($teamFacebook[0])?$teamFacebook[0]:'';
    $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
    $teamPinterestValue = !empty($teamPinterest[0])?$teamPinterest[0]:'';
    $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
    $teamInstagramValue = !empty($teamInstagram[0])?$teamInstagram[0]:'';
    

    // Use nonce for verification
    wp_nonce_field(plugin_basename(__FILE__), 'Team_social_media_links');
    echo '<table id="socialUrls" width="100%">';

     echo '<tr> 
    <th><span class="dashicons dashicons-twitter"></span></th>
    <td><input type="text" name="teamTwitter" placeholder="Twitter URL" width="100%" value="'.$teamTwitterValue.'" /></td>
    </tr>';

    echo '<tr> 
    <th width="10%"><span class="dashicons dashicons-facebook"></span></th>
    <td width="90%"><input type="text" name="teamFacebook" width="100%" placeholder="Facebook URL" value="'.$teamFacebookValue.'" /></td>
    </tr>';
   
   echo '<tr> 
    <th><span class="dashicons dashicons-pinterest"></span></th>
    <td><input type="text" name="teamPinterest" placeholder="Pinterest URL" width="100%" value="'.$teamPinterestValue.'" /></td>
    </tr>';
   
    echo '<tr> 
    <th><span class="dashicons dashicons-smartphone"></span></th>
    <td><input type="text" name="teamInstagram" placeholder="Instagram URL" width="100%" value="'.$teamInstagramValue.'" /></td>
    </tr>';
    
    echo '</table>';
}

/**
 * Method to save the custom field for the slider posts 
 * When the post is saved, saves our custom data 
 * @author ac_repair <support@ac_repair.com>
 * @since V 1.1  09th jan 2022
 **/
function teamDesignationCutomFieldHtml(){
    global $post;
    // get the saved value 
    $designation = get_post_meta($post->ID, 'designation', false);
    $designation = !empty($designation[0])?$designation[0]:'';

    // Use nonce for verification
    wp_nonce_field(plugin_basename(__FILE__), 'Team_social_media_links');
    echo '<table id="socialUrls" width="100%">';
    echo '<tr> 
    <th width="10%"><span class="dashicons dashicons-welcome-learn-more"></span></th>
    <td width="90%"><input type="text" name="designation" width="100%" placeholder="Designation" value="'.$designation.'" /></td>
    </tr>';
    echo '</table>';
}

function addTeamHook(){
    add_meta_box('digital_marketing_agency-team-social-icon', __('Add Social media links', 'ac_repair'), 'teamSocialURLsCutomFieldHtml', 'our-team', 'normal', 'high');
    add_meta_box('digital_marketing_agency-team-designation', __('Add Designation', 'ac_repair'), 'teamDesignationCutomFieldHtml', 'our-team', 'normal', 'high');
}
/**
 * Method to save the custom field for the testimonial posts 
 * When the post is saved, saves our custom data 
 * @param integer $post_id - An id of the post 
 * @author ac_repair <support@ac_repair.com>
 * @since V 1.1  09th jan 2022
 **/
function saveTeamSocialCutomData($post_id){
    // If it is our form has not been submitted, so we dont want to do anything
    if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;
    if(empty($_POST['teamFacebook']) && empty($_POST['teamTwitter']) && empty($_POST['teamPinterest']) && empty($_POST['teamInstagram']) && empty($_POST['designation']) ){
        // echo 'empty --> '; exit;       
        return;
    }
   $teamFacebook = $_POST['teamFacebook'];
    update_post_meta($post_id, 'teamFacebook', $teamFacebook);
    $teamTwitter = $_POST['teamTwitter'];
    update_post_meta($post_id, 'teamTwitter', $teamTwitter);
    $teamPinterest = $_POST['teamPinterest'];
    update_post_meta($post_id, 'teamPinterest', $teamPinterest);
    $teamInstagram = $_POST['teamInstagram'];
    update_post_meta($post_id, 'teamInstagram', $teamInstagram);

    $designation = $_POST['designation'];
    update_post_meta($post_id, 'designation', $designation);
}
add_action('add_meta_boxes', 'addTeamHook');
add_action('save_post', 'saveTeamSocialCutomData');
/***** End Add custome fields for team section *****/

// //Services
// function servicesDesignationCutomFieldHtml(){
//     global $post;
//     // get the saved value 
//     $designation = get_post_meta($post->ID, 'designation', false);
//     $designation = !empty($designation[0])?$designation[0]:'';

//     // Use nonce for verification
//     wp_nonce_field(plugin_basename(__FILE__), 'servicess_social_media_links');
//     echo '<table id="socialUrls" width="100%">';
//     echo '<tr> 
//     <th width="10%"><span class="dashicons dashicons-welcome-learn-more
// "></span></th>
//     <td width="90%"><input type="text" name="designation" width="100%" placeholder="Designation" value="'.$designation.'" /></td>
//     </tr>';
//     echo '</table>';
// }
// function addservicesHook(){
//     add_meta_box('ac_repair-services-designation', __('Add Designation', 'ac_repair'), 'servicesDesignationCutomFieldHtml', 'our-services', 'normal', 'high');
// }
/**
 * Method to save the custom field for the services posts 
 * When the post is saved, saves our custom data 
 * @param integer $post_id - An id of the post 
 * @author ac_repair <support@ac_repair.com>
 * @since V 1.1  09th jan 2022
 **/
function saveservicesSocialCutomData($post_id){
    // If it is our form has not been submitted, so we dont want to do anything
    if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;
    // if(empty($_POST['designation']) ){
    //     // echo 'empty --> '; exit;       
    //     return;
    // }

    // $designation = $_POST['designation'];
    // update_post_meta($post_id, 'designation', $designation);
}
// add_action('add_meta_boxes', 'addservicesHook');
add_action('save_post', 'saveservicesSocialCutomData');
/***** End Add custome fields for services section *****/


/**/
// for slider second button 
function slider2BtnUrlCutomFieldHtml(){
    global $post;
    // get the saved value 
    // $designation = get_post_meta($post->ID, 'designation', false);
    // $designation = !empty($designation[0])?$designation[0]:'';

    $sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', false);
    $sliderbtn1url = !empty($sliderbtn1url[0])?$sliderbtn1url[0]:'';

    // Use nonce for verification
    // wp_nonce_field(plugin_basename(__FILE__), 'slider2Btn_links');
    // echo '<table id="slider2Btn" width="100%">';
    // echo '<tr> 
    // <th width="10%"><span class="dashicons dashicons-info"></span></th>
    // <td width="90%"><input type="text" name="designation" width="100%" placeholder="Slider First Button Url Here" value="'.$designation.'" /></td>
    // </tr>';
    // echo '</table>';


    echo '<table id="slider2Btn" width="100%">';
    echo '<tr> 
    <th width="10%"><span class="dashicons dashicons-info"></span></th>
    <td width="90%"><input type="text" name="sliderbtn1url" width="100%" placeholder="Slider Url Here" value="'.$sliderbtn1url.'" /></td>
    </tr>';
    echo '</table>';
}
function addSlider2btnHook(){
    add_meta_box('slider2_btn_url', __('Add Slider Button Url Here', 'digital_marketing_agency-premium'), 'slider2BtnUrlCutomFieldHtml', 'slider', 'normal', 'high');
}
function saveslider2btnUrlCutomData($post_id){
    // If it is our form has not been submitted, so we dont want to do anything
    if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;
    // $designation = !empty($_POST['designation'])?$_POST['designation']:'';
    // update_post_meta($post_id, 'designation', $designation);

    $sliderbtn1url = !empty($_POST['sliderbtn1url'])?$_POST['sliderbtn1url']:'';
    update_post_meta($post_id, 'sliderbtn1url', $sliderbtn1url);
}
add_action('add_meta_boxes', 'addSlider2btnHook');
add_action('save_post', 'saveslider2btnUrlCutomData');


// for slider second button text

function slider2BtntextCutomFieldHtml(){
    global $post;
    // get the saved value 
    // $slider2btntext = get_post_meta($post->ID, 'slider2btntext', false);
    // $slider2btntext = !empty($slider2btntext[0])?$slider2btntext[0]:'';

    $slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
    $slider1btntext = !empty($slider1btntext[0])?$slider1btntext[0]:'';

    // Use nonce for verification
    wp_nonce_field(plugin_basename(__FILE__), 'sliderbtn_text');
    echo '<table id="sliderbtntext" width="100%">';
    echo '<tr> 
    <th width="10%"><span class="dashicons dashicons-edit-large"></span></th>
    <td width="90%"><input type="text" name="slider1btntext" width="100%" placeholder="Slider Button Text" value="'.$slider1btntext.'" /></td>
    </tr>';
    echo '</table>';

    // echo '<table id="sliderbtntext" width="100%">';
    // echo '<tr> 
    // <th width="10%"><span class="dashicons dashicons-edit-large"></span></th>
    // <td width="90%"><input type="text" name="slider2btntext" width="100%" placeholder="Slider Second Button Text" value="'.$slider2btntext.'" /></td>
    // </tr>';
    // echo '</table>';
}

function addslider2BtntextHook(){
    add_meta_box('test_slider2btntext', __('Add Slider Button Text (Do not insert any html tags)', 'digital_marketing_agency-premium'), 'slider2BtntextCutomFieldHtml', 'slider', 'normal', 'high');
}

function saveslider2BtntextCutomData($post_id){
    // If it is our form has not been submitted, so we dont want to do anything
    if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;
    // if (isset($_POST['slider2btntext'])) {

    //     $slider2btntext = $_POST['slider2btntext'];
    //     update_post_meta($post_id, 'slider2btntext', $slider2btntext);
        
    // }

    if (isset($_POST['slider1btntext'])) {

        $slider1btntext = $_POST['slider1btntext'];
        update_post_meta($post_id, 'slider1btntext', $slider1btntext);
        
    } 
}
add_action('add_meta_boxes', 'addslider2BtntextHook');
add_action('save_post', 'saveslider2BtntextCutomData');




/**
 * Method to save the custom field for the testimonial posts 
 * When the post is saved, saves our custom data 
 * @param integer $post_id - An id of the post 
 * @author ac_repair <support@ac_repair.com>
 * @since V 1.1  09th jan 2022
 **/
function getFonts($list = false, $index = -1){
    $fonts = array(
        "'Archivo Narrow', sans-serif",
        "'Archivo Black', sans-serif",
        "'Arial', sans-serif",
        "'Arimo', sans-serif",
        "'Allerta', sans-serif",
        "'Alex Brush', cursive",
        "'Berkshire Swash', cursive",
        "'Bitter', serif",
        "'Carter One', cursive",
        "'Comfortaa', cursive",
        "'Dancing Script', cursive",
        "'Dosis', sans-serif",
        "'Droid Serif', serif",
        "'Francois One', sans-serif",
        "'Germania One', cursive",
        "'Hammersmith One', sans-serif",
        "'Indie Flower', cursive",
        "'Lobster', cursive",
        "'Lato', sans-serif",
        "'Muli', sans-serif",
        "'Nosifer', cursive",
        "'Oswald', sans-serif",
        "'PT Sans Caption', sans-serif",
        "'PT Sans Narrow', sans-serif",
        "'PT Sans', sans-serif",
        "'Pacifico', cursive",
        "'Poppins', sans-serif",
        "'Open Sans', sans-serif",
        "'Montserrat', sans-serif",
        "'Pontano Sans', sans-serif",
        "'Questrial', sans-serif",
        "'Roboto Mono', monospace",
        "'Roboto Slab', serif",
        "'Roboto', sans-serif",
        "'Rubik', sans-serif",
        "'Source Serif Pro', serif",
        "'Titillium Web', sans-serif",
        "'Biryani', sans-serif", 
        "'Montserrat Alternates', sans-serif",
        "'Work Sans', sans-serif",
        "'Arvo', serif",
        "'Passion One', cursive",
        "'Schoolbell', cursive",
        
    );
    if($list == true){
        foreach ($fonts as $key => $value) {
            $fonts[$key] = str_replace("'", "", $value);
        }
        asort($fonts);
        return $fonts;
    }
    $len = count($fonts);
    if(is_integer($index) && $index >= 0 && $index < $len){
        return $fonts[$index];
    }else{
        return $fonts;
    }
}

// dropdown animation
function getAnimations($list = false, $index = -1){
    $animations = array(
        "zoomIn .3s ease-in-out",
        "bounceInUp .5s ease-in-out",
        "fadeInUp .3s ease-in-out",
    );
    if($list == true){
        foreach ($animations as $key => $value) {
            $animations[$key] = str_replace("'", "", $value);
        }
        asort($animations);
        return $animations;
    }
    $len = count($animations);
    if(is_integer($index) && $index >= 0 && $index < $len){
        return $animations[$index];
    }else{
        return $animations;
    }
}

// menu font case
function getfontcase($list = false, $index = -1){
    $fontcase = array(
        "none",
        "capitalize",
        "lowercase",
        "uppercase",
    );
    if($list == true){
        foreach ($fontcase as $key => $value) {
            $fontcase[$key] = str_replace("'", "", $value);
        }
        asort($fontcase);
        return $fontcase;
    }
    $len = count($fontcase);
    if(is_integer($index) && $index >= 0 && $index < $len){
        return $fontcase[$index];
    }else{
        return $fontcase;
    }
}

//Blog layout
function getBlogLayout($list = false, $index = -1){
    $bloglayout = array(
        'No Sidebar',
        'Left Sidebar',
        'Right Sidebar'
    );
    if($list == true){
        foreach ($bloglayout as $key => $value) {
            $bloglayout[$key] = str_replace("'", "", $value);
        }
        asort($bloglayout);
        return $bloglayout;
    }
    $len = count($bloglayout);
    if(is_integer($index) && $index >= 0 && $index < $len){
        return $bloglayout[$index];
    }else{
        return $bloglayout;
    }
}

//Single post Blog layout
function getBlogSPostLayout($list = false, $index = -1){
    $blogspostlayout = array(
        'No Sidebar',
        'Left Sidebar',
        'Right Sidebar'
    );
    if($list == true){
        foreach ($blogspostlayout as $key => $value) {
            $blogspostlayout[$key] = str_replace("'", "", $value);
        }
        asort($blogspostlayout);
        return $blogspostlayout;
    }
    $len = count($blogspostlayout);
    if(is_integer($index) && $index >= 0 && $index < $len){
        return $blogspostlayout[$index];
    }else{
        return $blogspostlayout;
    }
}

//Page layout
function getPageLayout($list = false, $index = -1){
    $pagelayout = array(
        'No Sidebar',
        'Left Sidebar',
        'Right Sidebar'
    );
    if($list == true){
        foreach ($pagelayout as $key => $value) {
            $pagelayout[$key] = str_replace("'", "", $value);
        }
        asort($pagelayout);
        return $pagelayout;
    }
    $len = count($pagelayout);
    if(is_integer($index) && $index >= 0 && $index < $len){
        return $pagelayout[$index];
    }else{
        return $pagelayout;
    }
}


//Shop page layout
function getShopPageLayout($list = false, $index = -1){
    $shoppagelayout = array(
        'No Sidebar',
        'Left Sidebar',
        'Right Sidebar'
    );
    if($list == true){
        foreach ($shoppagelayout as $key => $value) {
            $shoppagelayout[$key] = str_replace("'", "", $value);
        }
        asort($shoppagelayout);
        return $shoppagelayout;
    }
    $len = count($shoppagelayout);
    if(is_integer($index) && $index >= 0 && $index < $len){
        return $shoppagelayout[$index];
    }else{
        return $shoppagelayout;
    }
}

/**
 * show the pagination for the custome or normal post types
 * @param object $customeQuery - An onject of a query post
 * @author ac_repair <support@ac_repair.com>
 * @since V 1.1  09th jan 2022
 **/
function lzGetPagination($customQuery){
    if(!is_object($customQuery)){return false;}
    $total_pages = $customQuery->max_num_pages;
    $big = 999999999;
    $current_page = max(1, get_query_var('paged'));
    echo paginate_links(array(
        'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
        'format' => '?paged=%#%',
        'current' => $current_page,
        'total' => $total_pages,    
    ));
}


if ( class_exists( 'WP_Customize_Panel' ) ) {

  class ac_repair_WP_Customize_Panel extends WP_Customize_Panel {

    public $panel;

    public $type = 'ac_repair_panel';

    public function json() {

      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'type', 'panel', ) );
      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
      $array['content'] = $this->get_content();
      $array['active'] = $this->active();
      $array['instanceNumber'] = $this->instance_number;

      return $array;

    }

  }

}

if ( class_exists( 'WP_Customize_Section' ) ) {

  class ac_repair_WP_Customize_Section extends WP_Customize_Section {

    public $section;

    public $type = 'ac_repair_section';

    public function json() {

      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'panel', 'type', 'description_hidden', 'section', ) );
      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
      $array['content'] = $this->get_content();
      $array['active'] = $this->active();
      $array['instanceNumber'] = $this->instance_number;

      if ( $this->panel ) {

        $array['customizeAction'] = sprintf( 'Customizing &#9656; %s', esc_html( $this->manager->get_panel( $this->panel )->title ) );

      } else {

        $array['customizeAction'] = 'Customizing';

      }

      return $array;

    }

  }

}
// for overlay opacity
function ac_repair_customize_opacity_range() {
return apply_filters(
'ac_repair_customize_opacity_range',
array(
'min' => 0,
'max' => 100,
'step' => 5,
)
);
}

function ac_repair_customize_preview_init() {
    $theme_version = wp_get_theme()->get( 'Version' );

    wp_add_inline_script(
        'ac_repair-customize-preview',
        sprintf(
            'wp.customize.selectiveRefresh.partialConstructor[ %1$s ].prototype.attrs = %2$s;',
            wp_json_encode( 'cover_opacity' ),
            wp_json_encode( ac_repair_customize_opacity_range() )
        )
    );
}
add_action( 'customize_preview_init', 'ac_repair_customize_preview_init' );

// for excerpt height
function ac_repair_customize_excerpt_length_range() {
return apply_filters(
'ac_repair_customize_excerpt_length_range',
array(
'min' => 0,
'max' => 100,
'step' => 5,
)
);
}

function ac_repair_customize_excerpt_length_init() {
    $theme_version = wp_get_theme()->get( 'Version' );

  
    wp_add_inline_script(
        'ac_repair-customize-preview',
        sprintf(
            'wp.customize.selectiveRefresh.partialConstructor[ %1$s ].prototype.attrs = %2$s;',
            wp_json_encode( 'excerpt_length' ),
            wp_json_encode( ac_repair_customize_excerpt_length_range() )
        )
    );
}

add_action( 'customize_excerpt_length_init', 'ac_repair_customize_excerpt_length_init' );

// for featured image height
function ac_repair_customize_featured_height_range() {
return apply_filters(
'ac_repair_customize_featured_height_range',
array(
'min' => 100,
'max' => 500,
'step' => 5,
)
);
}

function ac_repair_customize_featured_height_init() {
    $theme_version = wp_get_theme()->get( 'Version' );

  
    wp_add_inline_script(
        'ac_repair-customize-preview',
        sprintf(
            'wp.customize.selectiveRefresh.partialConstructor[ %1$s ].prototype.attrs = %2$s;',
            wp_json_encode( 'featured_img_height' ),
            wp_json_encode( ac_repair_customize_featured_height_range() )
        )
    );
}

add_action( 'customize_preview_featured_height_init', 'ac_repair_customize_featured_height_init' );

require get_parent_theme_file_path( '/inc/tab-control.php' );

// sanitize
function ac_repair_sanitize_choices( $input, $setting ) {
    global $wp_customize; 
    $control = $wp_customize->get_control( $setting->id ); 
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

function ac_repair_sanitize_checkbox( $input ) {
    return ( ( isset( $input ) && true == $input ) ? true : false );
}

function ac_repair_sanitize_phone_number( $phone ) {
    return preg_replace( '/[^\d+]/', '', $phone );
}

function ac_repair_sanitize_float( $input ) {
    return filter_var($input, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
}


function ac_repair_switch_sanitization( $input ) {
    if ( true === $input ) {
        return 1;
    } else {
        return 0;
    }
}


// Integer sanitization
if ( ! function_exists( 'ac_repair_sanitize_integer' ) ) {
    function ac_repair_sanitize_integer( $input ) {
        return (int) $input;
    }
}

/* Excerpt Limit Begin */
function ac_repair_string_limit_words($string, $word_limit) {
    $words = explode(' ', $string, ($word_limit + 1));
    if(count($words) > $word_limit)
    array_pop($words);
    return implode(' ', $words);
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'ac_repair_loop_columns');
    if (!function_exists('ac_repair_loop_columns')) {
        function ac_repair_loop_columns() {
    return 3; // 3 products per row
    }
}


function ac_repair_sanitize_dropdown_pages( $page_id, $setting ) {
    // Ensure $input is an absolute integer.
    $page_id = absint( $page_id );
    // If $page_id is an ID of a published page, return it; otherwise, return the default.
    return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

// Hide show customizer options 
function ac_repair_shortcode_slider_enabled(){
    if(get_theme_mod('ac_repair_slider_section_option', 'ac_repair Slider Plugin') == 'Other Shortcode' ) {
        return true;
    }
    return false;
}

function ac_repair_shortcode_team_enabled(){
    if(get_theme_mod('ac_repair_team_section_option', 'ac_repair Team Plugin') == 'Other Shortcode' ) {
        return true;
    }
    return false;
}
function ac_repair_shortcode_testimonials_enabled(){
    if(get_theme_mod('ac_repair_testimonials_section_option', 'ac_repair Testimonials Plugin') == 'Other Shortcode' ) {
        return true;
    }
    return false;
}
function ac_repair_shortcode_project_enabled(){
    if(get_theme_mod('ac_repair_project_section_option', 'ac_repair Project Plugin') == 'Other Shortcode' ) {
        return true;
    }
    return false;
}

function ac_repair_service_type_posts(){
    if(get_theme_mod('ac_repair_service_type', 'With Posts') == 'With Posts' ) {
        return true;
    }
    return false;
}

function ac_repair_service_type_pages(){
    if(get_theme_mod('ac_repair_service_type', 'With Posts') == 'With Pages' ) {
        return true;
    }
    return false;
}

function ac_repair_service_bg_image_opacity(){
    if(get_theme_mod('ac_repair_services_bg_image') != 'color' ) {
        return true;
    }
    return false;
}

function ac_repair_service_type_icon(){
    if(get_theme_mod('ac_repair_service_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_about_type_icon(){
    if(get_theme_mod('ac_repair_about_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}


function ac_repair_features_type_icon(){
    if(get_theme_mod('ac_repair_features_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_facility_type_icon(){
    if(get_theme_mod('ac_repair_facility_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_steps_type_icon(){
    if(get_theme_mod('ac_repair_steps_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_blog_type_icon(){
    if(get_theme_mod('ac_repair_blog_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_pricing_type_icon(){
    if(get_theme_mod('ac_repair_pricing_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_newsletter_type_icon(){
    if(get_theme_mod('ac_repair_newsletter_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_contact_type_icon(){
    if(get_theme_mod('ac_repair_contact_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}
function ac_repair_team_type_icon(){
    if(get_theme_mod('ac_repair_team_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_testimonials_type_icon(){
    if(get_theme_mod('ac_repair_testimonials_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_project_type_icon(){
    if(get_theme_mod('ac_repair_project_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

function ac_repair_counter_type_icon(){
    if(get_theme_mod('ac_repair_counter_head_icon_enable', 'Yes') == 'Yes' ) {
        return true;
    }
    return false;
}

add_action( 'wp_ajax_ac_repair_slider_reset_settings', 'ac_repair_slider_reset_settings' );
function ac_repair_slider_reset_settings() {
    remove_theme_mod('slider_section_show_content');
    remove_theme_mod('ac_repair_slider_image_opacity');
    remove_theme_mod('ac_repair_slider_heading_color');
    remove_theme_mod('ac_repair_slider_text_color');
    remove_theme_mod('ac_repair_slider_buttonbg_color1');
    remove_theme_mod('ac_repair_slider_buttonbg_color2');
    remove_theme_mod('ac_repair_slider_buttontext_color');
    remove_theme_mod('ac_repair_slider_buttontext_hover_color');
    remove_theme_mod('ac_repair_slider_indicatortext_color');
    remove_theme_mod('ac_repair_slider_indicatortexthover_color');
    remove_theme_mod('ac_repair_slider_section_width');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_services_reset_settings', 'ac_repair_services_reset_settings' );
function ac_repair_services_reset_settings() {
remove_theme_mod('ac_repair_service_enable');  
remove_theme_mod('ac_repair_service_area_lbl');
remove_theme_mod('ac_repair_service_section_lbl'); 
remove_theme_mod('ac_repair_service_number'); 
remove_theme_mod('ac_repair_service_heading1');
remove_theme_mod('ac_repair_service_heading2');
remove_theme_mod('ac_repair_service_heading3');
remove_theme_mod('ac_repair_service_heading4');
remove_theme_mod('ac_repair_service_heading5');
remove_theme_mod('ac_repair_service_heading6');
remove_theme_mod('ac_repair_service_heading7');
remove_theme_mod('ac_repair_service_heading8');
remove_theme_mod('ac_repair_service_heading9');
remove_theme_mod('ac_repair_service_heading10');
remove_theme_mod('ac_repair_service_heading11');
remove_theme_mod('ac_repair_service_heading12');
remove_theme_mod('ac_repair_service_page1');
remove_theme_mod('ac_repair_service_page2');
remove_theme_mod('ac_repair_service_page3');
remove_theme_mod('ac_repair_service_page4');
remove_theme_mod('ac_repair_service_page5');
remove_theme_mod('ac_repair_service_page6');
remove_theme_mod('ac_repair_service_page7');
remove_theme_mod('ac_repair_service_page8');
remove_theme_mod('ac_repair_service_page9');
remove_theme_mod('ac_repair_service_page10');
remove_theme_mod('ac_repair_service_page11');
remove_theme_mod('ac_repair_service_page12');
remove_theme_mod('ac_repair_service_icon_enable');
remove_theme_mod('ac_repair_service_button_enable');
remove_theme_mod('ac_repair_service_button_text');
remove_theme_mod('ac_repair_service_section_bg_color');
remove_theme_mod('ac_repair_service_section_bg_image');
remove_theme_mod('ac_repair_service_image_opacity');  
remove_theme_mod('ac_repair_services_imghover_color');      
remove_theme_mod('ac_repair_service_box_onload_effects');
remove_theme_mod('ac_repair_service_title_case');
remove_theme_mod('ac_repair_services_head_align');
remove_theme_mod('ac_repair_services_content_align');
remove_theme_mod('ac_repair_services_overlay_color1');
remove_theme_mod('ac_repair_services_overlay_color2');
remove_theme_mod('ac_repair_services_heading_color1');
remove_theme_mod('ac_repair_services_subheading_color');
remove_theme_mod('ac_repair_services_title_color1');
remove_theme_mod('ac_repair_services_text_color');
remove_theme_mod('ac_repair_services_text_border_color');
remove_theme_mod('ac_repair_services_btntext_color');
remove_theme_mod('ac_repair_services_btntextHover_color');
remove_theme_mod('ac_repair_service_padding');
remove_theme_mod('ac_repair_service_top_padding');
remove_theme_mod('ac_repair_service_bottom_padding');
remove_theme_mod('ac_repair_service_section_width');    
remove_theme_mod('ac_repair_services_post_image_height'); 
remove_theme_mod('ac_repair_services_post_excerpt');
  
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_about_reset_settings', 'ac_repair_about_reset_settings' );
function ac_repair_about_reset_settings() { 
remove_theme_mod('ac_repair_about_enable');
remove_theme_mod('ac_repair_about_image');
remove_theme_mod('ac_repair_about_image2');
remove_theme_mod('ac_repair_about_section_span_title');
remove_theme_mod('ac_repair_about_section_title1');
remove_theme_mod('ac_repair_about_head_icon_enable');
remove_theme_mod('ac_repair_about_head_icon');
remove_theme_mod('ac_repair_about_subtitle');
remove_theme_mod('ac_repair_about_text');
remove_theme_mod('ac_repair_about_texttext');
remove_theme_mod('ac_repair_about_page_list');
remove_theme_mod('ac_repair_about_button_display');
remove_theme_mod('ac_repair_about_btn_txt');
remove_theme_mod('ac_repair_about_btnlink');
remove_theme_mod('ac_repair_about_section_bg_color');
remove_theme_mod('ac_repair_about_section_bg_image');
remove_theme_mod('ac_repair_about_image_opacity');               
remove_theme_mod('ac_repair_about_title_heading1');
remove_theme_mod('ac_repair_premium_about_section_background');
remove_theme_mod('ac_repair_about_bg_color');
remove_theme_mod('ac_repair_about_bg_image');
remove_theme_mod('ac_repair_about_box_onload_effects');
remove_theme_mod('ac_repair_about_head_align');
remove_theme_mod('ac_repair_about_area_btn_color'); 
remove_theme_mod('ac_repairabout_area_btnbg1_color');
remove_theme_mod('ac_repairabout_area_btnbg2_color');
remove_theme_mod('ac_repair_about_span_head_color');
remove_theme_mod('ac_repair_about_span_head_BG_color');
remove_theme_mod('ac_repair_about_heading_color1');
remove_theme_mod('ac_repair_about_heading_icon_color');
remove_theme_mod('ac_repair_about_subtitle_color');
remove_theme_mod('ac_repair_about_hr_bx_txt_color');
remove_theme_mod('ac_repair_about_hr_bx_BG_color1');
remove_theme_mod('ac_repair_about_hr_bx_BG_color2');
remove_theme_mod('ac_repair_about_text_color');
remove_theme_mod('ac_repair_about_list_color');
remove_theme_mod('ac_repair_about_icon_color');
remove_theme_mod('ac_repair_about_list_iconBG_color');
remove_theme_mod('ac_repair_about_phn_lbl_color');
remove_theme_mod('ac_repair_about_phn_txt_color');
remove_theme_mod('ac_repair_about_iconbg_color');
remove_theme_mod('ac_repair_about_button_color');
remove_theme_mod('ac_repair_about_buttonbg_color1');
remove_theme_mod('ac_repair_about_buttonbg_color2');
remove_theme_mod('ac_repair_about_buttonbghover_color');
remove_theme_mod('ac_repair_about_padding');
remove_theme_mod('ac_repair_about_top_padding');
remove_theme_mod('ac_repair_about_bottom_padding');
remove_theme_mod('ac_repair_about_section_width');
    
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_reset_banner_settings', 'ac_repair_reset_banner_settings' );
function ac_repair_banner_reset_settings() { 
remove_theme_mod('ac_repair_banner_enable');
remove_theme_mod('ac_repair_banner_section_title1');
remove_theme_mod('ac_repair_banner_head_icon_enable');
remove_theme_mod('ac_repair_banner_head_icon');
remove_theme_mod('ac_repair_banner_title');
remove_theme_mod('ac_repair_banner_text');
remove_theme_mod('ac_repair_banner_emailtext');
remove_theme_mod('ac_repair_banner_section_bg_color');
remove_theme_mod('ac_repair_banner_section_bg_image');
remove_theme_mod('ac_repair_banner_image_opacity');               
remove_theme_mod('ac_repair_banner_title_heading1');
remove_theme_mod('ac_repair_premium_banner_section_background');
remove_theme_mod('ac_repair_banner_bg_color');
remove_theme_mod('ac_repair_banner_bg_image');
remove_theme_mod('ac_repair_banner_box_onload_effects');
remove_theme_mod('ac_repair_banner_area_btn_color');
remove_theme_mod('ac_repairbanner_area_btnbg1_color');
remove_theme_mod('ac_repairbanner_area_btnbg2_color');
remove_theme_mod('ac_repair_banner_subtitle_color');
remove_theme_mod('ac_repair_banner_phn_lblBG_color');
remove_theme_mod('ac_repair_banner_phn_lbl_brdr_color');
remove_theme_mod('ac_repair_banner_text_color');
remove_theme_mod('ac_repair_banner_phone_icon_color');
remove_theme_mod('ac_repair_banner_phn_icn_bg_color');
remove_theme_mod('ac_repair_banner_phnt_txtbg_color1');
remove_theme_mod('ac_repair_banner_email_txt_color');
remove_theme_mod('ac_repair_banner_email_icon_color');
remove_theme_mod('ac_repair_banner_padding');
remove_theme_mod('ac_repair_banner_top_padding');
remove_theme_mod('ac_repair_banner_bottom_padding');
remove_theme_mod('ac_repair_banner_section_width');
    
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_counter_reset_settings', 'ac_repair_counter_reset_settings' );
function ac_repair_counter_reset_settings() {
remove_theme_mod('ac_repair_counter_enable');
remove_theme_mod('ac_repair_counter_maintitle');
remove_theme_mod('ac_repair_counter_head_icon_enable');
remove_theme_mod('ac_repair_counter_head_icon');
remove_theme_mod('ac_repair_counter_subtitle');
remove_theme_mod('ac_repair_counter_npp_count_heading');
remove_theme_mod('ac_repair_counter_npp_count');
remove_theme_mod('ac_repair_counter_page1');
remove_theme_mod('ac_repair_counter_page_icon1');
remove_theme_mod('ac_repair_counter_page_title_1');
remove_theme_mod('ac_repair_counter_page_num_1');
remove_theme_mod('ac_repair_counter_page_unit_1');
remove_theme_mod('ac_repair_counter_page2');
remove_theme_mod('ac_repair_counter_page_icon2');
remove_theme_mod('ac_repair_counter_page_title_2');
remove_theme_mod('ac_repair_counter_page_num_2');
remove_theme_mod('ac_repair_counter_page_unit_2');
remove_theme_mod('ac_repair_counter_page3');
remove_theme_mod('ac_repair_counter_page_icon3');
remove_theme_mod('ac_repair_counter_page_title_3');
remove_theme_mod('ac_repair_counter_page_num_3');
remove_theme_mod('ac_repair_counter_page_unit_3');
remove_theme_mod('ac_repair_counter_page4');
remove_theme_mod('ac_repair_counter_page_icon4');
remove_theme_mod('ac_repair_counter_page_title_4');
remove_theme_mod('ac_repair_counter_page_num_4');
remove_theme_mod('ac_repair_counter_page_unit_4');
remove_theme_mod('ac_repair_counter_page5');
remove_theme_mod('ac_repair_counter_page_icon5');
remove_theme_mod('ac_repair_counter_page_title_5');
remove_theme_mod('ac_repair_counter_page_num_5');
remove_theme_mod('ac_repair_counter_page_unit_5');
remove_theme_mod('ac_repair_counter_page6');
remove_theme_mod('ac_repair_counter_page_icon6');
remove_theme_mod('ac_repair_counter_page_title_6');
remove_theme_mod('ac_repair_counter_page_num_6');
remove_theme_mod('ac_repair_counter_page_unit_6');
remove_theme_mod('ac_repair_counter_page7');
remove_theme_mod('ac_repair_counter_page_icon7');
remove_theme_mod('ac_repair_counter_page_title_7');
remove_theme_mod('ac_repair_counter_page_num_7');
remove_theme_mod('ac_repair_counter_page_unit_7');
remove_theme_mod('ac_repair_counter_page8');
remove_theme_mod('ac_repair_counter_page_icon8');
remove_theme_mod('ac_repair_counter_page_title_8');
remove_theme_mod('ac_repair_counter_page_num_8');
remove_theme_mod('ac_repair_counter_page_unit_8');
remove_theme_mod('ac_repair_counter_page9');
remove_theme_mod('ac_repair_counter_page_icon9');
remove_theme_mod('ac_repair_counter_page_title_9');
remove_theme_mod('ac_repair_counter_page_num_9');
remove_theme_mod('ac_repair_counter_page_unit_9');
remove_theme_mod('ac_repair_counter_page10');
remove_theme_mod('ac_repair_counter_page_icon10');
remove_theme_mod('ac_repair_counter_page_title_10');
remove_theme_mod('ac_repair_counter_page_num_10');
remove_theme_mod('ac_repair_counter_page_unit_10');
remove_theme_mod('ac_repair_counter_page11');
remove_theme_mod('ac_repair_counter_page_icon11');
remove_theme_mod('ac_repair_counter_page_title_11');
remove_theme_mod('ac_repair_counter_page_num_11');
remove_theme_mod('ac_repair_counter_page_unit_11');
remove_theme_mod('ac_repair_counter_page12');
remove_theme_mod('ac_repair_counter_page_icon12');
remove_theme_mod('ac_repair_counter_page_title_12');
remove_theme_mod('ac_repair_counter_page_num_12');
remove_theme_mod('ac_repair_counter_page_unit_12');
remove_theme_mod('ac_repair_counter_page13');
remove_theme_mod('ac_repair_counter_page_icon13');
remove_theme_mod('ac_repair_counter_page_title_13');
remove_theme_mod('ac_repair_counter_page_num_13');
remove_theme_mod('ac_repair_counter_page_unit_13');
remove_theme_mod('ac_repair_counter_page14');
remove_theme_mod('ac_repair_counter_page_icon14');
remove_theme_mod('ac_repair_counter_page_title_14');
remove_theme_mod('ac_repair_counter_page_num_14');
remove_theme_mod('ac_repair_counter_page_unit_14');
remove_theme_mod('ac_repair_counter_page15');
remove_theme_mod('ac_repair_counter_page_icon15');
remove_theme_mod('ac_repair_counter_page_title_15');
remove_theme_mod('ac_repair_counter_page_num_15');
remove_theme_mod('ac_repair_counter_page_unit_15');
remove_theme_mod('ac_repair_counter_section_bg_color');
remove_theme_mod('ac_repair_counter_section_bg_image');
remove_theme_mod('ac_repair_counter_image_opacity');    
remove_theme_mod('ac_repair_counter_box_onload_effects');
remove_theme_mod('ac_repair_counter_title_case');
remove_theme_mod('ac_repair_counter_head_align');
remove_theme_mod('ac_repair_counter_box_align');
remove_theme_mod('ac_repair_counter_heading_color1');
remove_theme_mod('ac_repair_counter_heading_color2');
remove_theme_mod('ac_repair_counter_headingborder_color1');
remove_theme_mod('ac_repair_counter_headingborder_color2');
remove_theme_mod('ac_repair_counter_subheading_color');
remove_theme_mod('ac_repair_counter_icon_color');
remove_theme_mod('ac_repair_counter_iconhover_color');
remove_theme_mod('ac_repair_counter_number_color');
remove_theme_mod('ac_repair_counter_name_color');
remove_theme_mod('ac_repair_counter_padding');
remove_theme_mod('ac_repair_counter_section_t_padding');
remove_theme_mod('ac_repair_counter_section_b_padding');
remove_theme_mod('ac_repair_counter_section_width');

    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_facility_reset_settings', 'ac_repair_facility_reset_settings' );
function ac_repair_facility_reset_settings() {
remove_theme_mod('ac_repair_facility_enable'); 
remove_theme_mod('ac_repair_facility_span_maintitle');
remove_theme_mod('ac_repair_facility_maintitle');
remove_theme_mod('ac_repair_facility_head_icon_enable');
remove_theme_mod('ac_repair_facility_head_icon');
remove_theme_mod('ac_repair_facility_npp_count_heading');
remove_theme_mod('ac_repair_facility_npp_count');
remove_theme_mod('ac_repair_facility_page1');
remove_theme_mod('ac_repair_facility_page_icon1');
remove_theme_mod('ac_repair_facility_page_title_1');
remove_theme_mod('ac_repair_facility_page_description_1');
remove_theme_mod('ac_repair_facility_pagebotton_icon_1');
remove_theme_mod('ac_repair_facility_page2');
remove_theme_mod('ac_repair_facility_page_icon2');
remove_theme_mod('ac_repair_facility_page_title_2');
remove_theme_mod('ac_repair_facility_page_description_2');
remove_theme_mod('ac_repair_facility_pagebotton_icon_2');
remove_theme_mod('ac_repair_facility_page3');
remove_theme_mod('ac_repair_facility_page_icon3');
remove_theme_mod('ac_repair_facility_page_title_3');
remove_theme_mod('ac_repair_facility_page_description_3');
remove_theme_mod('ac_repair_facility_pagebotton_icon_3');
remove_theme_mod('ac_repair_facility_page4');
remove_theme_mod('ac_repair_facility_page_icon4');
remove_theme_mod('ac_repair_facility_page_title_4');
remove_theme_mod('ac_repair_facility_page_description_4');
remove_theme_mod('ac_repair_facility_pagebotton_icon_4');
remove_theme_mod('ac_repair_facility_page5');
remove_theme_mod('ac_repair_facility_page_icon5');
remove_theme_mod('ac_repair_facility_page_title_5');
remove_theme_mod('ac_repair_facility_page_description_5');
remove_theme_mod('ac_repair_facility_pagebotton_icon_5');
remove_theme_mod('ac_repair_facility_page6');
remove_theme_mod('ac_repair_facility_page_icon6');
remove_theme_mod('ac_repair_facility_page_title_6');
remove_theme_mod('ac_repair_facility_page_description_6');
remove_theme_mod('ac_repair_facility_pagebotton_icon_6');
remove_theme_mod('ac_repair_facility_page7');
remove_theme_mod('ac_repair_facility_page_icon7');
remove_theme_mod('ac_repair_facility_page_title_7');
remove_theme_mod('ac_repair_facility_page_description_7');
remove_theme_mod('ac_repair_facility_pagebotton_icon_7');
remove_theme_mod('ac_repair_facility_page8');
remove_theme_mod('ac_repair_facility_page_icon8');
remove_theme_mod('ac_repair_facility_page_title_8');
remove_theme_mod('ac_repair_facility_page_description_8');
remove_theme_mod('ac_repair_facility_pagebotton_icon_2');
remove_theme_mod('ac_repair_facility_page9');
remove_theme_mod('ac_repair_facility_page_icon9');
remove_theme_mod('ac_repair_facility_page_title_9');
remove_theme_mod('ac_repair_facility_page_description_9');
remove_theme_mod('ac_repair_facility_pagebotton_icon_9');
remove_theme_mod('ac_repair_facility_page10');
remove_theme_mod('ac_repair_facility_page_icon10');
remove_theme_mod('ac_repair_facility_page_title_10');
remove_theme_mod('ac_repair_facility_page_description_10');
remove_theme_mod('ac_repair_facility_pagebotton_icon_10');
remove_theme_mod('ac_repair_facility_page11');
remove_theme_mod('ac_repair_facility_page_icon11');
remove_theme_mod('ac_repair_facility_page_title_11');
remove_theme_mod('ac_repair_facility_page_description_11');
remove_theme_mod('ac_repair_facility_pagebotton_icon_11');
remove_theme_mod('ac_repair_facility_page12');
remove_theme_mod('ac_repair_facility_page_icon12');
remove_theme_mod('ac_repair_facility_page_title_12');
remove_theme_mod('ac_repair_facility_page_description_12');
remove_theme_mod('ac_repair_facility_pagebotton_icon_12');
remove_theme_mod('ac_repair_facility_page13');
remove_theme_mod('ac_repair_facility_page_icon13');
remove_theme_mod('ac_repair_facility_page_title_13');
remove_theme_mod('ac_repair_facility_page_description_13');
remove_theme_mod('ac_repair_facility_pagebotton_icon_13');
remove_theme_mod('ac_repair_facility_page14');
remove_theme_mod('ac_repair_facility_page_icon14');
remove_theme_mod('ac_repair_facility_page_title_14');
remove_theme_mod('ac_repair_facility_page_description_14');
remove_theme_mod('ac_repair_facility_pagebotton_icon_14');
remove_theme_mod('ac_repair_facility_page15');
remove_theme_mod('ac_repair_facility_page_icon15');
remove_theme_mod('ac_repair_facility_page_title_15');
remove_theme_mod('ac_repair_facility_page_description_15');
remove_theme_mod('ac_repair_facility_pagebotton_icon_15');
remove_theme_mod('ac_repair_facility_section_bg_color');
remove_theme_mod('ac_repair_facility_section_bg_image');
remove_theme_mod('ac_repair_facility_image_opacity');               
remove_theme_mod('ac_repair_facility_title_case');
remove_theme_mod('ac_repair_facility_head_align');
remove_theme_mod('ac_repair_facility_box_align');
remove_theme_mod('ac_repair_facility_box_onload_effects');
remove_theme_mod('ac_repair_facility_heading_color1');
remove_theme_mod('ac_repair_facility_heading_span_color');
remove_theme_mod('ac_repair_facility_heading_span_BG_color');
remove_theme_mod('ac_repair_facility_head_icon_color');
remove_theme_mod('ac_repair_facility_title_color');
remove_theme_mod('ac_repair_facility_contBX_brdr_color');
remove_theme_mod('ac_repair_facility_bx_bottom_brdr_color');
remove_theme_mod('ac_repair_facility_btm_bxBG_color1');
remove_theme_mod('ac_repair_facility_btm_bxBG_color2');
remove_theme_mod('ac_repair_facility_btm_bx_icn_color');
remove_theme_mod('ac_repair_facility_btm_bx_icnHvr_color');
remove_theme_mod('ac_repair_facility_text_color');
remove_theme_mod('ac_repair_facility_box_color');
remove_theme_mod('ac_repair_facility_padding');
remove_theme_mod('ac_repair_facility_section_t_padding');
remove_theme_mod('ac_repair_facility_section_b_padding');
remove_theme_mod('ac_repair_facility_section_width');
remove_theme_mod('ac_repair_facility_post_image_height');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_reset_faq_settings', 'ac_repair_reset_faq_settings' );
function ac_repair_reset_faq_settings() {
remove_theme_mod('ac_repair_faq_enable');
remove_theme_mod('ac_repair_faq_image');
remove_theme_mod('ac_repair_faq_section_title1');
remove_theme_mod('ac_repair_faq_head_icon');
remove_theme_mod('faqs_maintitle1');
remove_theme_mod('faqs_subtext1');
remove_theme_mod('ac_repair_faq_section_bg_color');
remove_theme_mod('ac_repair_faq_section_bg_image');             
remove_theme_mod('ac_repair_faq_heading_color');
remove_theme_mod('ac_repair_faq_subheading_color');
remove_theme_mod('ac_repair_faq_bx_title_color');
remove_theme_mod('ac_repair_faq_bx_title_bg_color');
remove_theme_mod('ac_repair_faq_bx_text_color');
remove_theme_mod('ac_repair_faq_bx_icon_color'); 
remove_theme_mod('ac_repair_faq_bx_icon_bg_color1');
remove_theme_mod('ac_repair_faq_bx_icon_bg_color2');
remove_theme_mod('ac_repair_faq_bx_icon_hover_color');
remove_theme_mod('ac_repair_faq_padding');
remove_theme_mod('ac_repair_faq_top_padding');
remove_theme_mod('ac_repair_faq_bottom_padding');
remove_theme_mod('ac_repair_faq_section_width');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_team_reset_settings', 'ac_repair_team_reset_settings' );
function ac_repair_team_reset_settings() {
remove_theme_mod('ac_repair_team_enable'); 
remove_theme_mod('ac_repair_team_maintitle');
remove_theme_mod('ac_repair_team_span_maintitle');
remove_theme_mod('ac_repair_team_head_icon_enable');
remove_theme_mod('ac_repair_team_head_icon');
remove_theme_mod('ac_repair_team_subtitle');
remove_theme_mod('ac_repair_team_area_lbl'); 
remove_theme_mod('ac_repair_team_section_lbl');  
remove_theme_mod('ac_repair_team_npp_count');
remove_theme_mod('ac_repair_team_heading1');
remove_theme_mod('ac_repair_team_page1');
remove_theme_mod('ac_repair_team_heading2');
remove_theme_mod('ac_repair_team_page2');
remove_theme_mod('ac_repair_team_heading3');
remove_theme_mod('ac_repair_team_page3');
remove_theme_mod('ac_repair_team_heading4');
remove_theme_mod('ac_repair_team_page4');
remove_theme_mod('ac_repair_team_heading5');
remove_theme_mod('ac_repair_team_page5');
remove_theme_mod('ac_repair_team_heading6');
remove_theme_mod('ac_repair_team_page6');
remove_theme_mod('ac_repair_team_heading7');
remove_theme_mod('ac_repair_team_page7');
remove_theme_mod('ac_repair_team_heading8');
remove_theme_mod('ac_repair_team_page8');
remove_theme_mod('ac_repair_team_heading9');
remove_theme_mod('ac_repair_team_page9');
remove_theme_mod('ac_repair_team_heading10');
remove_theme_mod('ac_repair_team_page10');
remove_theme_mod('ac_repair_team_heading11');
remove_theme_mod('ac_repair_team_page11');
remove_theme_mod('ac_repair_team_heading12');
remove_theme_mod('ac_repair_team_page12');
remove_theme_mod('ac_repair_team_section_bg_color');
remove_theme_mod('ac_repair_team_section_bg_image');
remove_theme_mod('ac_repair_team_image_opacity'); 
remove_theme_mod('ac_repair_team_section_hbg_color1'); 
remove_theme_mod('ac_repair_team_section_hbg_color2');          
remove_theme_mod('ac_repair_team_title_case');
remove_theme_mod('ac_repair_team_head_align'); 
remove_theme_mod('ac_repair_team_content_align');
remove_theme_mod('ac_repair_team_onload_effects');
remove_theme_mod('ac_repair_team_heading_color');
remove_theme_mod('ac_repair_team_heading_span_color');
remove_theme_mod('ac_repair_team_heading_span_color');
remove_theme_mod('ac_repair_team_heading_brdr_color');
remove_theme_mod('ac_repair_team_imghover_color');
remove_theme_mod('ac_repair_team_bx_bg_color1');
remove_theme_mod('ac_repair_team_bx_bg_color2');
remove_theme_mod('ac_repair_team_title_color');
remove_theme_mod('ac_repair_team_desg_color');
remove_theme_mod('ac_repair_team_social_color');
remove_theme_mod('ac_repair_team_socialhover_color');
remove_theme_mod('ac_repair_team_desghov_color');
remove_theme_mod('ac_repair_team_padding');
remove_theme_mod('ac_repair_team_section_t_padding');
remove_theme_mod('ac_repair_team_section_b_padding');
remove_theme_mod('ac_repair_team_section_width');

    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_testimonials_reset_settings', 'ac_repair_testimonials_reset_settings' );
function ac_repair_testimonials_reset_settings() {
remove_theme_mod('ac_repair_testimonials_enable'); 
remove_theme_mod('ac_repair_testimonials_maintitle');
remove_theme_mod('ac_repair_testimonials_span_maintitle');
remove_theme_mod('ac_repair_testimonials_head_icon_enable');
remove_theme_mod('ac_repair_testimonials_head_icon');
remove_theme_mod('ac_repair_testimonials_area_lbl'); 
remove_theme_mod('ac_repair_testimonials_section_lbl');  
remove_theme_mod('ac_repair_testimonials_npp_count');
remove_theme_mod('ac_repair_testimonials_heading1');
remove_theme_mod('ac_repair_testimonials_page1');
remove_theme_mod('ac_repair_testimonials_heading2');
remove_theme_mod('ac_repair_testimonials_page2');
remove_theme_mod('ac_repair_testimonials_heading3');
remove_theme_mod('ac_repair_testimonials_page3');
remove_theme_mod('ac_repair_testimonials_heading4');
remove_theme_mod('ac_repair_testimonials_page4');
remove_theme_mod('ac_repair_testimonials_heading5');
remove_theme_mod('ac_repair_testimonials_page5');
remove_theme_mod('ac_repair_testimonials_heading6');
remove_theme_mod('ac_repair_testimonials_page6');
remove_theme_mod('ac_repair_testimonials_heading7');
remove_theme_mod('ac_repair_testimonials_page7');
remove_theme_mod('ac_repair_testimonials_heading8');
remove_theme_mod('ac_repair_testimonials_page8');
remove_theme_mod('ac_repair_testimonials_heading9');
remove_theme_mod('ac_repair_testimonials_page9');
remove_theme_mod('ac_repair_testimonials_heading10');
remove_theme_mod('ac_repair_testimonials_page10');
remove_theme_mod('ac_repair_testimonials_heading11');
remove_theme_mod('ac_repair_testimonials_page11');
remove_theme_mod('ac_repair_testimonials_heading12');
remove_theme_mod('ac_repair_testimonials_page12');
remove_theme_mod('ac_repair_testimonials_section_bg_color');
remove_theme_mod('ac_repair_testimonials_section_bg_image');
remove_theme_mod('ac_repair_testimonials_image_opacity'); 
remove_theme_mod('ac_repair_testimonials_section_hbg_color1'); 
remove_theme_mod('ac_repair_testimonials_section_hbg_color2');          
remove_theme_mod('ac_repair_testimonials_title_case');
remove_theme_mod('ac_repair_testimonials_head_align');
remove_theme_mod('ac_repair_testimonials_content_align');
remove_theme_mod('ac_repair_testimonials_box_onload_effects');
remove_theme_mod('ac_repair_testimonials_heading_color1');
remove_theme_mod('ac_repair_testimonials_heading_color2');
remove_theme_mod('ac_repair_testimonials_headingborder_color1');
remove_theme_mod('ac_repair_testimonials_headingborder_color2');
remove_theme_mod('ac_repair_testimonials_title_color');
remove_theme_mod('ac_repair_testimonials_desg_color1');
remove_theme_mod('ac_repair_testimonials_desg_color2');
remove_theme_mod('ac_repair_testimonials_text_color');
remove_theme_mod('ac_repair_testimonials_icon_color1');
remove_theme_mod('ac_repair_testimonials_icon_color2');
remove_theme_mod('ac_repair_testimonials_box_color');
remove_theme_mod('ac_repair_testimonials_box_brdr_color1');
remove_theme_mod('ac_repair_testimonials_box_brdr_color2');
remove_theme_mod('ac_repair_testimonials_padding');
remove_theme_mod('ac_repair_testimonials_section_t_padding');
remove_theme_mod('ac_repair_testimonials_section_b_padding');
remove_theme_mod('ac_repair_testimonials_section_width');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_pricing_reset_settings', 'ac_repair_pricing_reset_settings' );
function ac_repair_pricing_reset_settings() { 
remove_theme_mod('ac_repair_pricing_enable'); 
remove_theme_mod('ac_repair_pricing_maintitle');
remove_theme_mod('ac_repair_pricing_span_maintitle');
remove_theme_mod('ac_repair_pricing_head_icon_enable');
remove_theme_mod('ac_repair_pricing_head_icon');
remove_theme_mod('ac_repair_pricing_npp_heading');
remove_theme_mod('ac_repair_pricing_npp_count');
remove_theme_mod('ac_repair_pricing_plan_heading_1');
remove_theme_mod('ac_repair_pricing_plan_name_1');
remove_theme_mod('ac_repair_pricing_plan_tagline_1');
remove_theme_mod('ac_repair_pricing_plan_unit_1');
remove_theme_mod('ac_repair_pricing_plan_price_1');
remove_theme_mod('ac_repair_planData_1');
remove_theme_mod('ac_repair_pricing_plan_content_1');
remove_theme_mod('pricing_page_button_title_1');
remove_theme_mod('ac_repair_pricing_plan_url_1');
remove_theme_mod('ac_repair_pricing_plan_heading_2');
remove_theme_mod('ac_repair_pricing_plan_name_2');
remove_theme_mod('ac_repair_pricing_plan_tagline_2');
remove_theme_mod('ac_repair_pricing_plan_unit_2');
remove_theme_mod('ac_repair_pricing_plan_price_2');
remove_theme_mod('ac_repair_planData_2');
remove_theme_mod('ac_repair_pricing_plan_content_2');
remove_theme_mod('pricing_page_button_title_2');
remove_theme_mod('ac_repair_pricing_plan_url_2');
remove_theme_mod('ac_repair_pricing_plan_heading_3');
remove_theme_mod('ac_repair_pricing_plan_name_3');
remove_theme_mod('ac_repair_pricing_plan_tagline_3');
remove_theme_mod('ac_repair_pricing_plan_unit_3');
remove_theme_mod('ac_repair_pricing_plan_price_3');
remove_theme_mod('ac_repair_planData_3');
remove_theme_mod('ac_repair_pricing_plan_content_3');
remove_theme_mod('pricing_page_button_title_3');
remove_theme_mod('ac_repair_pricing_plan_url_3');
remove_theme_mod('ac_repair_pricing_plan_heading_4');
remove_theme_mod('ac_repair_pricing_plan_name_4');
remove_theme_mod('ac_repair_pricing_plan_tagline_4');
remove_theme_mod('ac_repair_pricing_plan_unit_4');
remove_theme_mod('ac_repair_pricing_plan_price_4');
remove_theme_mod('ac_repair_planData_4');
remove_theme_mod('ac_repair_pricing_plan_content_4');
remove_theme_mod('pricing_page_button_title_4');
remove_theme_mod('ac_repair_pricing_plan_url_4');
remove_theme_mod('ac_repair_pricing_plan_heading_5');
remove_theme_mod('ac_repair_pricing_plan_name_5');
remove_theme_mod('ac_repair_pricing_plan_tagline_5');
remove_theme_mod('ac_repair_pricing_plan_unit_5');
remove_theme_mod('ac_repair_pricing_plan_price_5');
remove_theme_mod('ac_repair_planData_5');
remove_theme_mod('ac_repair_pricing_plan_content_5');
remove_theme_mod('pricing_page_button_title_5');
remove_theme_mod('ac_repair_pricing_plan_url_5');
remove_theme_mod('ac_repair_pricing_plan_heading_6');
remove_theme_mod('ac_repair_pricing_plan_name_6');
remove_theme_mod('ac_repair_pricing_plan_tagline_6');
remove_theme_mod('ac_repair_pricing_plan_unit_6');
remove_theme_mod('ac_repair_pricing_plan_price_6');
remove_theme_mod('ac_repair_planData_6');
remove_theme_mod('ac_repair_pricing_plan_content_6');
remove_theme_mod('pricing_page_button_title_6');
remove_theme_mod('ac_repair_pricing_plan_url_6');
remove_theme_mod('ac_repair_pricing_plan_heading_7');
remove_theme_mod('ac_repair_pricing_plan_name_7');
remove_theme_mod('ac_repair_pricing_plan_tagline_7');
remove_theme_mod('ac_repair_pricing_plan_unit_7');
remove_theme_mod('ac_repair_pricing_plan_price_7');
remove_theme_mod('ac_repair_planData_7');
remove_theme_mod('ac_repair_pricing_plan_content_7');
remove_theme_mod('pricing_page_button_title_7');
remove_theme_mod('ac_repair_pricing_plan_url_7');
remove_theme_mod('ac_repair_pricing_plan_heading_8');
remove_theme_mod('ac_repair_pricing_plan_name_8');
remove_theme_mod('ac_repair_pricing_plan_tagline_8');
remove_theme_mod('ac_repair_pricing_plan_unit_8');
remove_theme_mod('ac_repair_pricing_plan_price_8');
remove_theme_mod('ac_repair_planData_8');
remove_theme_mod('ac_repair_pricing_plan_content_8');
remove_theme_mod('pricing_page_button_title_8');
remove_theme_mod('ac_repair_pricing_plan_url_8');
remove_theme_mod('ac_repair_pricing_plan_heading_9');
remove_theme_mod('ac_repair_pricing_plan_name_9');
remove_theme_mod('ac_repair_pricing_plan_tagline_9');
remove_theme_mod('ac_repair_pricing_plan_unit_9');
remove_theme_mod('ac_repair_pricing_plan_price_9');
remove_theme_mod('ac_repair_planData_9');
remove_theme_mod('ac_repair_pricing_plan_content_9');
remove_theme_mod('pricing_page_button_title_9');
remove_theme_mod('ac_repair_pricing_plan_url_9');
remove_theme_mod('ac_repair_pricing_plan_heading_10');
remove_theme_mod('ac_repair_pricing_plan_name_10');
remove_theme_mod('ac_repair_pricing_plan_tagline_10');
remove_theme_mod('ac_repair_pricing_plan_unit_10');
remove_theme_mod('ac_repair_pricing_plan_price_10');
remove_theme_mod('ac_repair_planData_10');
remove_theme_mod('ac_repair_pricing_plan_content_10');
remove_theme_mod('pricing_page_button_title_10');
remove_theme_mod('ac_repair_pricing_plan_url_10');
remove_theme_mod('ac_repair_pricing_plan_heading_11');
remove_theme_mod('ac_repair_pricing_plan_name_11');
remove_theme_mod('ac_repair_pricing_plan_tagline_11');
remove_theme_mod('ac_repair_pricing_plan_unit_11');
remove_theme_mod('ac_repair_pricing_plan_price_11');
remove_theme_mod('ac_repair_pricing_plan_content_11');
remove_theme_mod('pricing_page_button_title_11');
remove_theme_mod('ac_repair_pricing_plan_url_11');
remove_theme_mod('ac_repair_planData_11');
remove_theme_mod('ac_repair_pricing_plan_heading_12');
remove_theme_mod('ac_repair_pricing_plan_name_12');
remove_theme_mod('ac_repair_pricing_plan_tagline_12');
remove_theme_mod('ac_repair_pricing_plan_unit_12');
remove_theme_mod('ac_repair_pricing_plan_price_12');
remove_theme_mod('ac_repair_pricing_plan_content_12');
remove_theme_mod('pricing_page_button_title_12');
remove_theme_mod('ac_repair_pricing_plan_url_12');
remove_theme_mod('ac_repair_planData_12');
remove_theme_mod('ac_repair_pricing_section_bg_color');
remove_theme_mod('ac_repair_pricing_section_bg_image');
remove_theme_mod('ac_repair_pricing_image_opacity');
remove_theme_mod('ac_repair_pricing_box_onload_effects');
remove_theme_mod('ac_repair_pricing_title_case');
remove_theme_mod('ac_repair_pricing_head_align');
remove_theme_mod('ac_repair_pricing_box_align');
remove_theme_mod('ac_repair_pricing_heading_color1');
remove_theme_mod('ac_repair_pricing_heading_span_color');
remove_theme_mod('ac_repair_pricing_heading_span_bg_color');
remove_theme_mod('ac_repair_pricing_heading_icon_color');
remove_theme_mod('ac_repair_pricing_name_color');
remove_theme_mod('ac_repair_pricing_time_color');
remove_theme_mod('ac_repair_pricing_headbg_color1');
remove_theme_mod('ac_repair_pricing_headbg_color2');
remove_theme_mod('ac_repair_pricing_price_color');
remove_theme_mod('ac_repair_pricing_price_data_color');
remove_theme_mod('pricing_price_data_hover_txt_color');
remove_theme_mod('pricing_price_txt_hover_color');
remove_theme_mod('pricing_price_data_hover_bg_color');
remove_theme_mod('ac_repair_pricing_list_color');
remove_theme_mod('ac_repair_pricing_listbg_color1');
remove_theme_mod('ac_repair_pricing_listborder_color');
remove_theme_mod('ac_repair_pricing_linkicon_color1');
remove_theme_mod('ac_repair_pricing_btn_color');
remove_theme_mod('ac_repair_pricing_btn_bg_color1');
remove_theme_mod('ac_repair_pricing_btn_bg_color2');
remove_theme_mod('ac_repair_pricing_btn_Icon_color');
remove_theme_mod('ac_repair_pricing_boxbg_color');
remove_theme_mod('ac_repair_pricing_padding');
remove_theme_mod('ac_repair_pricing_section_t_padding');
remove_theme_mod('ac_repair_pricing_section_b_padding');
remove_theme_mod('ac_repair_pricing_section_width');
remove_theme_mod('pricing_price_data_bg_color');
remove_theme_mod('ac_repair_pricing_boxcontbrdr_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_contact_reset_settings', 'ac_repair_contact_reset_settings' );
function ac_repair_contact_reset_settings() {
remove_theme_mod('ac_repair_contact_enable'); 
remove_theme_mod('ac_repair_contact_maintitle');
remove_theme_mod('ac_repair_contact_head_icon_enable');
remove_theme_mod('ac_repair_contact_head_icon');
remove_theme_mod('ac_repair_contact_phone1');
remove_theme_mod('ac_repair_contact_address');
remove_theme_mod('ac_repair_contact_email1');
remove_theme_mod('ac_repair_contact_fb');
remove_theme_mod('ac_repair_contact_tw');
remove_theme_mod('ac_repair_contact_instagram');
remove_theme_mod('ac_repair_contact_in');
remove_theme_mod('ac_repair_contact_pinterest');
remove_theme_mod('ac_repair_contact_youtube');
remove_theme_mod('ac_repair_contact_whatsapp');
remove_theme_mod('ac_repair_contact_form_shortcode');
remove_theme_mod('ac_repair_contact_section_bg_color');
remove_theme_mod('ac_repair_contact_section_bg_image');
remove_theme_mod('ac_repair_contact_image_opacity'); 
remove_theme_mod('ac_repair_contact_heading_color');
remove_theme_mod('ac_repair_contact_frm_bg_color1');
remove_theme_mod('ac_repair_contact_frm_bg_color2');
remove_theme_mod('ac_repair_contact_icon_color');
remove_theme_mod('ac_repair_contact_iconborder_color');
remove_theme_mod('ac_repair_contact_data_color');
remove_theme_mod('ac_repair_contact_linkhover_color'); 
remove_theme_mod('ac_repair_contact_formtext_color');
remove_theme_mod('ac_repair_contact_formborder_color');
remove_theme_mod('ac_repair_contact_formlabel_color'); 
remove_theme_mod('ac_repair_contact_btntext_color');
remove_theme_mod('ac_repair_contact_btnbg_color');
remove_theme_mod('ac_repair_contact_box_onload_effects');
remove_theme_mod('ac_repair_contact_head_align');
remove_theme_mod('ac_repair_contact_boxbrdr_color');
remove_theme_mod('ac_repair_contact_padding');
remove_theme_mod('ac_repair_contactl_section_t_padding');
remove_theme_mod('ac_repair_contactl_section_b_padding');
remove_theme_mod('ac_repair_contact_section_width');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_blog_reset_settings', 'ac_repair_blog_reset_settings' );
function ac_repair_blog_reset_settings() {
remove_theme_mod('ac_repair_blog_enable'); 
remove_theme_mod('ac_repair_blog_maintitle');
remove_theme_mod('ac_repair_blog_span_maintitle');
remove_theme_mod('ac_repair_blog_head_icon_enable');
remove_theme_mod('ac_repair_blog_head_icon');
remove_theme_mod('blog_post_count');
remove_theme_mod('blog_button_display');
remove_theme_mod('blog_button1');
remove_theme_mod('blog_link');
remove_theme_mod('blog_cat_exclude');
remove_theme_mod('ac_repair_blog_section_bg_color');
remove_theme_mod('ac_repair_blog_section_bg_image');
remove_theme_mod('ac_repair_blog_image_opacity');               
remove_theme_mod('ac_repair_blog_box_onload_effects');
remove_theme_mod('ac_repair_blog_head_align');
remove_theme_mod('ac_repair_blog_content_align');
remove_theme_mod('ac_repair_blog_heading_color1');
remove_theme_mod('ac_repair_blog_heading_span_color');
remove_theme_mod('ac_repair_blog_heading_span_bg_color');
remove_theme_mod('ac_repair_blog_heading_icon_color');
remove_theme_mod('ac_repair_blog_img_color1');
remove_theme_mod('ac_repair_blog_img_color2');
remove_theme_mod('ac_repair_blog_title_color');
remove_theme_mod('ac_repair_blog_text_color');
remove_theme_mod('ac_repair_blog_text_brdr_color');
remove_theme_mod('ac_repair_blog_datetext_color');
remove_theme_mod('ac_repair_blog_date_icon_color');
remove_theme_mod('ac_repair_blog_btn_color');
remove_theme_mod('ac_repair_blog_btn_hover_color');
remove_theme_mod('ac_repair_blog_boxbg_color');
remove_theme_mod('ac_repair_blog_padding');
remove_theme_mod('ac_repair_blog_section_t_padding');
remove_theme_mod('ac_repair_blog_section_b_padding');
remove_theme_mod('ac_repair_blog_section_width');
remove_theme_mod('ac_repair_blog_post_image_height');
remove_theme_mod('ac_repair_blog_post_excerpt');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_newsletter_reset_settings', 'ac_repair_newsletter_reset_settings' );
function ac_repair_newsletter_reset_settings() {
    remove_theme_mod('ac_repair_newsletter_enable'); 
    remove_theme_mod('ac_repair_newsletter_head_icon_enable'); 
    remove_theme_mod('ac_repair_newsletter_head_icon'); 
    remove_theme_mod('ac_repair_newsletter_maintitle');
    remove_theme_mod('ac_repair_newsletter_subtitle'); 
    remove_theme_mod('ac_repair_newsletter_shortcode'); 
    remove_theme_mod('ac_repair_newsletter_section_bg_color'); 
    remove_theme_mod('ac_repair_newsletter_section_bg_image'); 
    remove_theme_mod('ac_repair_newsletter_image_opacity');                       
    remove_theme_mod('ac_repair_newsletter_head_align');  
    remove_theme_mod('ac_repair_newsletter_box_onload_effects'); 
     remove_theme_mod('ac_repair_newsletter_heading_color'); 
    remove_theme_mod('ac_repair_newsletter_formtext_color');  
     remove_theme_mod('ac_repair_newsletter_formbg_color'); 
    remove_theme_mod('ac_repair_newsletter_formlabel_color');  
    remove_theme_mod('ac_repair_newsletter_btntext_color'); 
    remove_theme_mod('ac_repair_newsletter_btnbg_color'); 
    remove_theme_mod('ac_repair_newsletter_padding'); 
    remove_theme_mod('ac_repair_newsletter_section_t_padding'); 
    remove_theme_mod('ac_repair_newsletter_section_b_padding'); 
    remove_theme_mod('ac_repair_newsletter_section_width'); 
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_footer_reset_settings', 'ac_repair_footer_reset_settings' );
function ac_repair_footer_reset_settings() {   
        
    remove_theme_mod('footerphonetext');
    remove_theme_mod('footerphone');
    remove_theme_mod('ac_repair_footer_copyrighttext');
    remove_theme_mod('footer_title_subtitle_heading');
    remove_theme_mod('ac_repair_newsletter_enable'); 
    remove_theme_mod('ac_repair_newsletter_head_icon_enable');
    remove_theme_mod('ac_repair_newsletter_head_icon');
    remove_theme_mod('ac_repair_newsletter_maintitle');
    remove_theme_mod('ac_repair_newsletter_subtitle');
    remove_theme_mod('ac_repair_newsletter_shortcode');
    remove_theme_mod('ac_repair_footer_section_bg_color');
    remove_theme_mod('ac_repair_footer_section_bg_image');
    remove_theme_mod('ac_repair_footer_image_opacity');
    remove_theme_mod('ac_repair_footer_box_align'); 
    remove_theme_mod('ac_repair_footer_copyright_align');   
    remove_theme_mod('ac_repair_footer_onload_effects');  
    remove_theme_mod('ac_repair_footer_heading_color');
    remove_theme_mod('ac_repair_footer_text_color');
    remove_theme_mod('ac_repair_footer_icon_color');
    remove_theme_mod('ac_repair_footer_icon_hover_color');
    remove_theme_mod('ac_repair_footer_sicon_color');
    remove_theme_mod('ac_repair_footer_sicon_brdr_color');
    remove_theme_mod('ac_repair_footer_siconhover_color');
    remove_theme_mod('ac_repair_footer_menu_color');
    remove_theme_mod('ac_repair_footer_menuhover_color');
    remove_theme_mod('ac_repair_footer_activemenu_color');
    remove_theme_mod('ac_repair_footer_cpyrght_color');
    remove_theme_mod('ac_repair_footer_terms_color');
    remove_theme_mod('ac_repair_footer_phn_txt_color');
    remove_theme_mod('ac_repair_footer_phn_no_color');
    remove_theme_mod('footer_title_subtitle_heading');
    remove_theme_mod('ac_repair_newsletter_section_bg_color1');
    remove_theme_mod('ac_repair_newsletter_section_bg_color2');
    remove_theme_mod('ac_repair_newsletter_section_bg_image');
    remove_theme_mod('ac_repair_newsletter_image_opacity');
    remove_theme_mod('ac_repair_newsletter_head_align'); 
    remove_theme_mod('ac_repair_newsletter_box_onload_effects');
    remove_theme_mod('ac_repair_newsletter_heading_color');
    remove_theme_mod('ac_repair_newsletter_formtext_color'); 
    remove_theme_mod('ac_repair_newsletter_formbg_color');
    remove_theme_mod('ac_repair_newsletter_btntext_color');
    remove_theme_mod('ac_repair_newsletter_btnbg_color1');
    remove_theme_mod('ac_repair_newsletter_btnbg_color2');
    remove_theme_mod('ac_repair_footer_leftboxbg_color1');
    remove_theme_mod('ac_repair_footer_leftboxbg_color2');
    remove_theme_mod('ac_repair_footer_padding');
    remove_theme_mod('ac_repair_footer_section_top_t_padding');
    remove_theme_mod('ac_repair_footer_section_top_b_padding');
    remove_theme_mod('ac_repair_footer_padding1');
    remove_theme_mod('ac_repair_footer_section_bottom_t_padding');
    remove_theme_mod('ac_repair_footer_section_bottom_b_padding');     
    remove_theme_mod('ac_repair_footer_section_width');
   
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_allsetting_reset_settings', 'ac_repair_allsetting_reset_settings' );
function ac_repair_allsetting_reset_settings() {
remove_theme_mod('ac_repair_show_sticky_header'); 
remove_theme_mod('ac_repair_header_style');
remove_theme_mod('ac_repair_header_width');
remove_theme_mod('ac_repair_header_fb');
remove_theme_mod('ac_repair_header_fb');
remove_theme_mod('ac_repair_header_tw');
remove_theme_mod('ac_repair_header_in');
remove_theme_mod('ac_repair_header_youtube');
remove_theme_mod('ac_repair_header_instagram');
remove_theme_mod('ac_repair_header_whatsapp');
remove_theme_mod('ac_repair_header_pinterest');
remove_theme_mod('ac_repair_header_contlabel');
remove_theme_mod('ac_repair_topheader_phone');
remove_theme_mod('ac_repair_head_btn_txt');
remove_theme_mod('ac_repair_head_btn_btnlink');
remove_theme_mod('ac_repair_topheader_emailtext');
remove_theme_mod('header_stickybgColor');
remove_theme_mod('header_menubgColor');
remove_theme_mod('header_logoColor1');
remove_theme_mod('header_logoColor2');
remove_theme_mod('header_SiteTitleColor');
remove_theme_mod('header_SiteTaglineColor');
remove_theme_mod('headereemail_color');
remove_theme_mod('headerphone_color');
remove_theme_mod('headereemailhove_color');
remove_theme_mod('headerephoneicon_color');
remove_theme_mod('headereemailicon_color');
remove_theme_mod('header_phoneColor1');
remove_theme_mod('header_phoneColor2');
remove_theme_mod('header_phoneIconColor1');
remove_theme_mod('header_phoneIconBGColor1');
remove_theme_mod('header_phoneIconBGColor2');
remove_theme_mod('header_phonebtnColor');
remove_theme_mod('header_phonebtnHoverColor');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_logosetting_reset_settings', 'ac_repair_logosetting_reset_settings' );
function ac_repair_logosetting_reset_settings() {
    remove_theme_mod('custom_logo');
    remove_theme_mod('blogname');
    remove_theme_mod('blogdescription');
    remove_theme_mod('site_icon');
    remove_theme_mod('ac_repair_show_site_title');
   remove_theme_mod('ac_repair_show_tagline');
   remove_theme_mod('ac_repair_logo_size');
   remove_theme_mod('ac_repair_logo_height');
   remove_theme_mod('ac_repair_logo_margin');
   remove_theme_mod('ac_repair_logo_top_margin');
   remove_theme_mod('ac_repair_logo_bottom_margin');
   remove_theme_mod('ac_repair_logo_left_margin');
   remove_theme_mod('ac_repair_logo_right_margin');
    wp_send_json_success(
        array(
            'success' => true, 
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_menusetting_reset_settings', 'ac_repair_menusetting_reset_settings' );
function ac_repair_menusetting_reset_settings() {
    remove_theme_mod('ac_repair_submenu_animation');
    remove_theme_mod('ac_repair_menu_case');
    remove_theme_mod('ac_repair_menu_font_size');
    remove_theme_mod('ac_repair_menu_font_weight');
    remove_theme_mod('header_topmenusColor');
     remove_theme_mod('header_topmenushoverColor');
     remove_theme_mod('header_topmenusactiveColor');
     remove_theme_mod('header_topsubmenusColor');
     remove_theme_mod('header_submenusbgssc1Color');
     remove_theme_mod('header_topsubmenuiconColor');
     remove_theme_mod('header_respnavtoggbarbgssColor');
     remove_theme_mod('header_respnavbsbgssColor');
     remove_theme_mod('header_navigationrespnavbrssColor');
     remove_theme_mod('ac_repair_respmenu_font_size');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_otherallsetting_reset_settings', 'ac_repair_otherallsetting_reset_settings' );
function ac_repair_otherallsetting_reset_settings() {
    remove_theme_mod('back_top_btn_on_off');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_fontsetting_reset_settings', 'ac_repair_fontsetting_reset_settings' );
function ac_repair_fontsetting_reset_settings() {
    remove_theme_mod('ac_repair_innerpageheading1_fontsize');
    remove_theme_mod('ac_repair_heading1_color');
    remove_theme_mod('ac_repair_innerpageheading1_font_weight');
    remove_theme_mod('ac_repair_innerpageheading2_fontsize');
    remove_theme_mod('ac_repair_heading2_color');
    remove_theme_mod('ac_repair_innerpageheading2_font_weight');
    remove_theme_mod('ac_repair_innerpageheading3_fontsize');
    remove_theme_mod('ac_repair_heading3_color');
    remove_theme_mod('ac_repair_innerpageheading3_font_weight');
    remove_theme_mod('ac_repair_innerpageheading4_fontsize');
    remove_theme_mod('ac_repair_heading4_color');
    remove_theme_mod('ac_repair_innerpageheading4_font_weight');
    remove_theme_mod('ac_repair_innerpageheading5_fontsize');
    remove_theme_mod('ac_repair_heading5_color');
    remove_theme_mod('ac_repair_innerpageheading5_font_weight');
    remove_theme_mod('ac_repair_innerpageheading6_fontsize');
    remove_theme_mod('ac_repair_heading6_color');
    remove_theme_mod('ac_repair_innerpageheading6_font_weight');
    remove_theme_mod('ac_repair_innerpagebody_fontsize');
    remove_theme_mod('ac_repair_body_color');
    remove_theme_mod('ac_repair_innerpagebody_font_weight');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}


add_action( 'wp_ajax_ac_repair_breadcrumbsetting_reset_settings', 'ac_repair_breadcrumbsetting_reset_settings' );
function ac_repair_breadcrumbsetting_reset_settings() {
    remove_theme_mod('ac_repair_breadcrumbhometxt');
    remove_theme_mod('breadcrumb_on_off');  
    remove_theme_mod('ac_repair_btreadcrumb_text_color'); 
    remove_theme_mod('ac_repair_btreadcrumb_textbg_color');             
    remove_theme_mod('ac_repair_btreadcrumb_active_color');
    remove_theme_mod('ac_repair_btreadcrumb_hover_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_blogpages_reset_settings', 'ac_repair_blogpages_reset_settings' );
function ac_repair_blogpages_reset_settings() {
    remove_theme_mod('blog_featured_img_on_off');
    remove_theme_mod('ac_repair_blogpage_post_image_height');
    remove_theme_mod('ac_repair_show_author');
    remove_theme_mod('ac_repair_show_date');
    remove_theme_mod('ac_repair_show_time');
    remove_theme_mod('ac_repair_show_category');
    remove_theme_mod('ac_repair_show_comments');
    remove_theme_mod('ac_repair_show_tags');
    remove_theme_mod('blog_page_excerpt_display');
    remove_theme_mod('allblog_btnlabel1');                
    remove_theme_mod('allblog_btnlabel');
    remove_theme_mod('blog_page_button_display');
    remove_theme_mod('blog_page_btn_txt');
    remove_theme_mod('blog_socials_on_off');
    remove_theme_mod('ac_repair__blog_layout');
    remove_theme_mod('ac_repair_blogpage_post_excerpt');
    remove_theme_mod('ac_repair_blog_page_width');
    remove_theme_mod('ac_repair_singleblogpage_title_color');
    remove_theme_mod('ac_repair_singleblogpage_metatext_color');
     remove_theme_mod('ac_repair_singleblogpage_contenttext_color');    
    remove_theme_mod('ac_repair_singleblogpage_button_color');
    remove_theme_mod('ac_repair_singleblogpage_buttonhover_color');
    remove_theme_mod('ac_repair_singleblogpage_buttonborder_color');
    remove_theme_mod('ac_repair_singleblogpage_socialicon_color');
    remove_theme_mod('ac_repair_singleblogpage_socialiconhover_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_single_post_reset_settings', 'ac_repair_single_post_reset_settings' );
function ac_repair_single_post_reset_settings() {
    remove_theme_mod('featured_img_on_off');
    remove_theme_mod('ac_repair_single_post_image_height');
    remove_theme_mod('ac_repair_single_show_author');
    remove_theme_mod('ac_repair_single_show_date');
    remove_theme_mod('ac_repair_single_show_time');
    remove_theme_mod('ac_repair_single_show_category');
    remove_theme_mod('ac_repair_single_show_comments');
    remove_theme_mod('ac_repair_single_show_tags');
    remove_theme_mod('single_blog_socials_on_off');
    remove_theme_mod('ac_repair__blogspost_layout');
    remove_theme_mod('ac_repair_singleblogpage_title_color');
    remove_theme_mod('ac_repair_singleblogpage_metatext_color');
    remove_theme_mod('ac_repair_singleblogpage_metaicon_color');    
    remove_theme_mod('ac_repair_singleblogpage_contenttext_color');
    remove_theme_mod('ac_repair_singleblogpage_button_color');
    remove_theme_mod('ac_repair_singleblogpage_buttonhover_color');
    remove_theme_mod('ac_repair_singleblogpage_buttonborder_color');
    remove_theme_mod('ac_repair_singleblogpage_socialicon_color');
    remove_theme_mod('ac_repair_singleblogpage_socialiconhover_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_innerpages_reset_settings', 'ac_repair_innerpages_reset_settings' );
function ac_repair_innerpages_reset_settings() {
    remove_theme_mod('innerpage_featured_img_on_off');
    remove_theme_mod('ac_repair_innerpage_image_height');
    remove_theme_mod('breadcrumb_on_off');
    remove_theme_mod('page_title_on_off');
    remove_theme_mod('ac_repair__page_layout');
    remove_theme_mod('ac_repair_inner_page_width');
    remove_theme_mod('ac_repair_innerpage_pagetitle_t_padding');
    remove_theme_mod('ac_repair_innerpage_pagetitle_b_padding');
    remove_theme_mod('ac_repair_innerpage_image_opacity');
    remove_theme_mod('ac_repair_innerpage_header_box_onload_effects');
    remove_theme_mod('ac_repair_template_innerpagemainsectionbox_color');
    remove_theme_mod('ac_repair_template_innerpage_titlecolor');
    remove_theme_mod('ac_repair_template_innerpage_bgcolor1');
    remove_theme_mod('ac_repair_template_innerpage_bgcolor2');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxheading1_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxheading2_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxheading3_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxheading4_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxheading5_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxheading6_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxheadingborderc1_color');
    remove_theme_mod('template_innerpage_contentboxsidebartitlecolor');                
    remove_theme_mod('template_innerpage_contentboxsidebartitlebordercolor');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxtext_color');
    remove_theme_mod('ac_repair_template_innerpageallothrtheadtextcolcolor_color');
    remove_theme_mod('ac_repair_template_innerpageallothrtheadtextbgsscolcolor_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxtextlinks_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxtextlinkshvrs_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxtextlinksicon_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionboxtextlinksiconbgssclr_color');
    remove_theme_mod('ac_repair_template_innerpagemainsectionsidebarborderrs_color');
    remove_theme_mod('ac_repair_template_innerpagesidebardaytxt_color');
    remove_theme_mod('ac_repair_template_innerpagesidebardaybgsstxt_color');
    remove_theme_mod('ac_repair_template_innerpagesblockquote_color');
    remove_theme_mod('ac_repair_template_innerpagepagination_color');
    remove_theme_mod('ac_repair_template_innerpagepaginationbg_color');
    remove_theme_mod('ac_repair_template_innerpagepaginationborder_color');
    remove_theme_mod('ac_repair_template_innerpagepaginationactive_color');
    remove_theme_mod('ac_repair_template_innerpagepaginationbgactive_color');
    remove_theme_mod('ac_repair_template_innerpagepaginationborderactive_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_contactpages_reset_settings', 'ac_repair_contactpages_reset_settings' );
function ac_repair_contactpages_reset_settings() {
    remove_theme_mod('ac_repair_contactpage_address_label');
    remove_theme_mod('ac_repair_contactpage_address');
    remove_theme_mod('ac_repair_contactpage_address_line1');
    remove_theme_mod('ac_repair_contactpage_address_line2');
    remove_theme_mod('ac_repair_contactpage_phone_label');
    remove_theme_mod('ac_repair_contactpage_phone');
    remove_theme_mod('ac_repair_contactpage_phone_another');
    remove_theme_mod('ac_repair_contactpage_email_label');                
    remove_theme_mod('ac_repair_contactpage_email');
    remove_theme_mod('ac_repair_contactpage_email_another');
    remove_theme_mod('ac_repair_contactpage_time_label');
    remove_theme_mod('ac_repair_contactpage_day');
    remove_theme_mod('ac_repair_contactpage_time_time');
    remove_theme_mod('ac_repair_contactpage_formtitle');
    remove_theme_mod('ac_repair_contactpage_form_shortcode');
    remove_theme_mod('ac_repair_contactpage_iframe_shortcode');
    remove_theme_mod('ac_repair_contactpage_content_align');
    remove_theme_mod('ac_repair_contactpage_box_onload_effects');
    remove_theme_mod('ac_repair_contactpage_iconbg_color1');
    remove_theme_mod('ac_repair_contactpage_iconbg_color2');
    remove_theme_mod('ac_repair_contactpage_icon_color');
    remove_theme_mod('ac_repair_contactpage_label_color');
    remove_theme_mod('ac_repair_contactpage_info_color');
    remove_theme_mod('ac_repair_contactpage_infohover_color');
    remove_theme_mod('ac_repair_contactpage_border_color');
    remove_theme_mod('ac_repair_contactpage_heading_color');
    remove_theme_mod('ac_repair_contactpage_headingborder_color1');
    remove_theme_mod('ac_repair_contactpage_headingborder_color2');
    remove_theme_mod('ac_repair_contactpage_formtext_color');
    remove_theme_mod('ac_repair_contactpage_formlabel_color');
    remove_theme_mod('ac_repair_contactpage_formbg_color');
    remove_theme_mod('ac_repair_contactpage_formborder_color');
    remove_theme_mod('ac_repair_contactpage_formbtnbg_color1');
    remove_theme_mod('ac_repair_contactpage_formbtnbg_color2');
    remove_theme_mod('ac_repair_contactpage_formbtntext_color');
    remove_theme_mod('ac_repair_contactpage_mapborder_color');

    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_serviceinnerpages_reset_settings', 'ac_repair_serviceinnerpages_reset_settings' );
function ac_repair_serviceinnerpages_reset_settings() {   
remove_theme_mod('ac_repair_service_button_enable');
remove_theme_mod('ac_repair_service_btn_txt');
remove_theme_mod('ac_repair_service_btnlink');
remove_theme_mod('peccular_serviceinnpage_img_ovrly_color');       
remove_theme_mod('peccular_serviceinnpage_servc_title_color');
remove_theme_mod('peccular_serviceinnpage_servc_btn_color');
remove_theme_mod('peccular_serviceinnpage_btn_arrow_color');
remove_theme_mod('peccular_serviceinnpage_cnslt_btn_bg_color');
remove_theme_mod('peccular_serviceinnpage_cnslt_btn_bg_hover_color');
remove_theme_mod('peccular_serviceinnpage_icon_color');
remove_theme_mod('peccular_serviceinnpage_icon_bg_color');
remove_theme_mod('peccular_serviceinnpage_icon_hover_color');
remove_theme_mod('peccular_serviceinnpage_title_color');
remove_theme_mod('peccular_serviceinnpage_text_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_testimonialsinnerpages_reset_settings', 'ac_repair_testimonialsinnerpages_reset_settings' );
function ac_repair_testimonialsinnerpages_reset_settings() {   
    remove_theme_mod('peccular_testimonialinn_bx_bg_color');
    remove_theme_mod('peccular_testimonialinn_clnt_bg_color');
    remove_theme_mod('peccular_testimonialinn_clnt_name_color');
    remove_theme_mod('peccular_testimonialinn_clnt_desg_color');       
    remove_theme_mod('peccular_testimonialinn_quote_color');
    remove_theme_mod('peccular_testimonialinn_text_color');
    remove_theme_mod('peccular_testimonialinn_imgbrdr_color');
    remove_theme_mod('ac_repair_testimonial_innfeatured_img_on_off');
    remove_theme_mod('ac_repair_testimonial_innpage_excerpt_display'); 
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_teaminnerpages_reset_settings', 'ac_repair_teaminnerpages_reset_settings' );
function ac_repair_teaminnerpages_reset_settings() {
    remove_theme_mod('ac_repair_teaminnerpage_post_image_height');
    remove_theme_mod('peccular_teaminnpage_hover_titlboxbg_color');       
    remove_theme_mod('peccular_teaminnpage_title_color');
    remove_theme_mod('peccular_teaminnpage_desig_color');
    remove_theme_mod('peccular_teaminnpage_shareicont_color');
    remove_theme_mod('peccular_teaminnpage_sharebg_color');
    remove_theme_mod('peccular_teaminnpage_sharesochov_color');
    remove_theme_mod('peccular_teaminnpage_sharesociconbghov_color'); 
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_faqinnerpages_reset_settings', 'ac_repair_faqinnerpages_reset_settings' );
function ac_repair_faqinnerpages_reset_settings() {

    remove_theme_mod('ac_repair_faq_img_title');
    remove_theme_mod('ac_repair_faq_img_Subtitle');
    remove_theme_mod('ac_repair_faq_btn_txt');
    remove_theme_mod('ac_repair_faq_btnlink');
    remove_theme_mod('ac_repair_faq_image');
    remove_theme_mod('peccular_faqinnpage_img_ftitle_color');
    remove_theme_mod('peccular_faqinnpage_cnslt_txt_color');
    remove_theme_mod('peccular_faqinnpage_cnslt_btn_color');
    remove_theme_mod('peccular_faqinnpage_cnslt_btn_bg_color');
    remove_theme_mod('peccular_faqinnpage_cnslt_btn_bg_hover_color');
    remove_theme_mod('peccular_faqinnpage_icon_color');
    remove_theme_mod('peccular_faqinnpage_icon_bg_color');
    remove_theme_mod('peccular_faqinnpage_icon_hover_color');
    remove_theme_mod('peccular_faqinnpage_title_color');
    remove_theme_mod('peccular_faqinnpage_text_color');
    remove_theme_mod('peccular_faqinnpage_icon_bghov_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_projectinnerpages_reset_settings', 'ac_repair_projectinnerpages_reset_settings' );
function ac_repair_projectinnerpages_reset_settings() {

    remove_theme_mod('ac_repair_projectinnerpage_post_image_height');
    remove_theme_mod('peccular_projectinnpage_img_ovrly_color');
    remove_theme_mod('peccular_projectinnpage_title_color');
    remove_theme_mod('peccular_projectinnpage_content_color');
    remove_theme_mod('peccular_projectinnpage_dots_color');
    remove_theme_mod('peccular_projectinnpage_dotshove_color');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

add_action( 'wp_ajax_ac_repair_shoppage_reset_settings', 'ac_repair_shoppage_reset_settings' );
function ac_repair_shoppage_reset_settings() {
    remove_theme_mod('ac_repair_shop_sidebar');
    wp_send_json_success(
        array(
            'success' => true,
            'message' => "Reset Completed",
        )
    );
}

// function ac_repair_header_image( $image_url ){
//     global $post;

//     if( is_singular() ){
//         $image_url      = get_the_post_thumbnail_url( $post->ID, 'full' );
//         $header_image = get_header_image();
//         $fallback_image = ! empty( $header_image ) ?  $header_image : esc_url(get_template_directory_uri()) . '/assets/images/header-default.png';
//         $image_url      = ( ! empty( $image_url) ) ? $image_url : $fallback_image;
//     }
//     return $image_url;
// }

?>