<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ac_repair Premium
 */ 

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">

<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link href="https://fonts.googleapis.com/css2?family=Allerta&display=swap" rel="stylesheet">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead --> 


		<?php if(get_theme_mod('ac_repair_header_style', 'On Slider') == 'On Slider' ){ ?>
			 <header class="site-header header-transparent header mo-left header-seo"  style="position:absolute;">
                 <div class="<?php if(get_theme_mod('ac_repair_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?> <?php if( get_theme_mod( 'ac_repair_show_sticky_header', false) != '') { ?>sticky-header ac_repair-header <?php } ?>">
			 	<div class="col-md-3 col-sm-4 col-xs-9 logo">
							<div class="inside-full-height">
							<?php 
							
								if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
									$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
								}
								if( get_theme_mod('pages_logoheight',true) ) {
									$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
								}
								if( get_theme_mod('pages_logoToppadding',true) ) {
									$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
								}
								if( get_theme_mod('pages_logobottompadding',true) ) {
									$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
								}
								if( get_theme_mod('pages_logoTopmargin',true) ) {
									$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
								}
								if( get_theme_mod('pages_logobottommargin',true) ) {
									$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
								}
								?>
								<!-- website logo -->
								<div class="logo-header">
				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('ac_repair_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>

									
								</div>
							</div>
						</div>

						<?php
						$emailtxt = get_theme_mod('ac_repair_topheader_emailtext', 'info@youremail.com');
						$location_add = get_theme_mod('ac_repair_topheader_phone', '380 Albert st  Melbourne  Australia');
						?>
			<div class="col-md-7 col-sm-7 col-xs-7 head-top">
				<div class="maintop-header">
					<div class="row">
					<div class="col-md-6 col-sm-6 col-xs-6 space">
								<?php if ( is_front_page() ) : ?>
								<?php if (get_theme_mod('ac_repair_show_tagline',true)) : ?>
								<div class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></div>
								<?php endif; ?>
								<?php else : ?>
								<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>
								<?php endif; ?>
					</div>
						<!-- ...space close -->
						<?php if($emailtxt){ ?>
						<div class="col-md-6 col-sm-6 col-xs-6 space">
							<div class="email-mid-space">
							<div class="row">
								<div class="col-md-2 col-lg-2 col-sm-2 h-mailid">
									<i class="fa fa-envelope-o" aria-hidden="true"></i>
								</div>
								<div class="col-md-10 col-lg-10 col-sm-10">
								<p class="ac_repair-email-text"><a href="mailto:<?php echo $emailtxt;?>"><?php echo $emailtxt ;?></a></p>
								</div>
                              </div>    
							</div>
						</div>
						<!-- ...space close -->
						<?php }?>
					<div class="clearfix"></div>
					</div>
					<!-- ......row close  -->
					<div class="mid-border"></div>
					<div class="clearfix"></div>
				<!-- </div>   ...........width box close -->
				<div class="clearfix"></div>
				</div> 
				<!-- ......maintop close -->
				<div class="clearfix"></div>

				<div class="mainbottom-header top-bar-head bottom-header " style="border-radius: 0px;">
						<!-- <div class="row row-eq-height"> -->
						<div class="header-nav-area">						 
						<div class="row row-eq-height">
						<div class="head-menu pd-0">
							<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
							<div class="site-navigation ">
		                        <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                        </div>
		                        <nav class="navigation">
		                            <!-- Main Menu -->
		                            <div class="menu-wrapper">
		                                <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                                </div> <!-- /.hours-content-->
									<div class="clearfix"></div>
		                            </div><!-- /.menu-wrapper --> 
		                        </nav>
		                        <div class="clearfix"></div>
		                    </div><!--  /.site-navigation -->
		                    <div class="clearfix"></div>
						  </div>
						  <!-- ..inside-full-height close -->
						</div>
						<!-- ...head menu -->
					</div>  
					<!-- ....row row-eq-height close -->
						</div>	
						<!-- .....header nav area	 -->
				<div class="clearfix"></div>
			</div>
			<!-- ...mainbottom close -->
				</div>
				<!-- .....col7 close -->
			<!--end main top header-->	
              			<?php
					      $ac_repair_head_btn_txt = get_theme_mod('ac_repair_head_btn_txt', '555 555 55'); 
					      $ac_repair_head_btn_btnlink = get_theme_mod('ac_repair_head_btn_btnlink', '#');
				    	?>
			 <?php if($ac_repair_head_btn_txt){ ?>
 						<div class="col-md-2 col-sm-2 col-xs-5 pd-0 head_btn">
						  	<div class="inside-full-height">
						  	  <div class="btn_space">
				      <div class="ac-repair-header-btn">
				      	<div class="phone-icon">
						  			<i class="fa fa-phone" aria-hidden="true"></i>
						</div>
						  		<div class="header-btn">
				          <a href="tailto:<?php echo $ac_repair_head_btn_txt;?>">      
				            <?php echo ($ac_repair_head_btn_txt );  ?>
				          </a>
				          </div>
				       </div>
				       </div>
					</div>
						</div>
	<?php }?>
					<div class="clearfix"></div>
				</div>
				<!-- ....width box close -->
	</header>
	
		 <?php } elseif(get_theme_mod('ac_repair_header_style', 'On Slider') == 'Above Slider' ){ ?>
		 <header class="site-header header-transparent header mo-left header-seo"  style="position:relative">
            <div class="<?php if(get_theme_mod('ac_repair_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?> <?php if( get_theme_mod( 'ac_repair_show_sticky_header', false) != '') { ?>sticky-header ac_repair-header <?php } ?>">
		 	<div class="col-md-3 col-sm-4 col-xs-9 logo">
							<div class="inside-full-height">
							<?php 
							
								if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
									$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
								}
								if( get_theme_mod('pages_logoheight',true) ) {
									$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
								}
								if( get_theme_mod('pages_logoToppadding',true) ) {
									$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
								}
								if( get_theme_mod('pages_logobottompadding',true) ) {
									$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
								}
								if( get_theme_mod('pages_logoTopmargin',true) ) {
									$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
								}
								if( get_theme_mod('pages_logobottommargin',true) ) {
									$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
								}
								?>
								<!-- website logo -->
								<div class="logo-header">					
				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('ac_repair_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?> 
									 <?php 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('ac_repair_show_tagline',true)) : ?>
										<h1 class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>
										<?php endif; ?> 
								</div>
							</div>
						</div>
                   <div class="col-md-7 col-sm-7 col-xs-7 head-top">
				<div class="maintop-header">
					<div class="row">
					<?php
						$emailtxt = get_theme_mod('ac_repair_topheader_emailtext', 'info@youremail.com');
						$topheader_mailicon = get_theme_mod('topheader_mailicon','fa fa-envelope-o');
						$location_add = get_theme_mod('ac_repair_topheader_phone', '380 Albert st  Melbourne  Australia');
						?>
						<div class="col-md-6 col-lg-6 col-sm-6 space">
						<?php if ( is_front_page() ) : ?>
								<?php if (get_theme_mod('ac_repair_show_tagline',true)) : ?>
								<div class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></div>
								<?php endif; ?>
								<?php else : ?>
								<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>
								<?php endif; ?>
						</div>
						<?php if($emailtxt){ ?>
						<div class="col-md-6 col-lg-6 col-sm-6 space">
							<div class="email-mid-space">
							<div class="row">
								<div class="col-md-2 col-lg-2 col-sm-2 h-mailid">
									<i class="fa fa-envelope-o" aria-hidden="true"></i>
								</div>
								<div class="col-md-10 col-lg-10 col-sm-10">
									<p class="ac_repair-email-text"><a href="mailto:<?php echo $email;?>"><?php echo $emailtxt ;?></a></p>
								</div>
							</div>
							</div>
						</div>
						<?php }?>
					
					<div class="clearfix"></div>
					</div>
					<!-- ......row close -->
					<div class="clearfix"></div>
				<!-- </div> ........width box close -->
					<div class="clearfix"></div>
					
				</div>
				<!-- .........maintop close -->
				<div class="mainbottom-header top-bar-head bottom-header " style="border-radius: 0px;">
						<!-- <div class="row row-eq-height"> -->
						<div class="header-nav-area">						
						<div class="row row-eq-height">
						<div class="col-md-9 col-sm-3 col-xs-3 head-menu pd-0">
							<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
							<div class="site-navigation ">
		                        <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                        </div>
		                        <nav class="navigation">
		                            <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                            <div class="menu-wrapper">
		                                <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                                </div> <!-- /.hours-content-->
									<div class="clearfix"></div>
		                            </div><!-- /.menu-wrapper --> 
		                        </nav>
		                        <div class="clearfix"></div>
		                    </div><!--  /.site-navigation -->
		                    <div class="clearfix"></div>
						  </div>
						</div>
					</div>
						</div>		
				<div class="clearfix"></div>
			</div>
			<!-- ........main bottom close -->
			  </div>
			  <!-- ..... col8 close -->
			<!--end main top header-->	
			<?php if($ac_repair_head_btn_txt){ ?>
			<div class="col-md-2 col-sm-5 col-xs-12 pd-0 head_btn">
				 <div class="inside-full-height">
							  	  <div class="col-md-2 col-sm-2 col-xs-2 phn_icn">
							  		<div class="phone-icon">
							  			<i class="fa fa-phone" aria-hidden="true"></i>
							  		</div>
							  	  </div>
						<div class="col-md-10 col-sm-10 col-xs-10 btn_space">
								  		<?php
						      $ac_repair_head_btn_txt = get_theme_mod('ac_repair_head_btn_txt', '+91 800 2565 456'); 
						      $ac_repair_head_btn_btnlink = get_theme_mod('ac_repair_head_btn_btnlink', '#');
						    ?>
						    	<div class="ac-repair-header-btn">
						          <a href="<?php echo $ac_repair_head_btn_btnlink ?>" target="_blank">      
						            <?php echo ($ac_repair_head_btn_txt );  ?>
						          </a>
						       </div>
						 </div>
				 </div>
			</div>
	<?php }?>
					<div class="clearfix"></div>
		</div>
				<!-- ...width box close -->
	</header>
	 <?php }?>
	</div>