<?php 
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Logo Settings', 'ac_repair Premium' ),
     'priority' => null,
    'panel' => 'ac_repair_header_panel2',
) );

$wp_customize->add_setting('ac_repair_reset_logosetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_logosetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Logo Settings', 'ac_repair'),
  'description' => 'ac_repair_logosetting_reset_settings',
  'section' => 'title_tagline'
))); 

$wp_customize->add_setting('ac_repair_logosetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_logosetting_nav', array(
       'section' => 'title_tagline',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'), 
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'custom_logo',
                'blogname',
                'blogdescription', 
                'site_icon',
                'ac_repair_show_site_title',
               'ac_repair_show_tagline'               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Layout', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'ac_repair_logo_size',
               'ac_repair_logo_height',
               'ac_repair_logo_margin',
               'ac_repair_logo_top_margin',
               'ac_repair_logo_bottom_margin',
               'ac_repair_logo_left_margin',
               'ac_repair_logo_right_margin'
            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'ac_repair_show_site_title',array(
        'default' => false,
        'sanitize_callback' => 'ac_repair_switch_sanitization'
   ) );
   $wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_show_site_title',array(
        'label' => __( 'Site Title','ac_repair' ),
        'section' => 'title_tagline'
   )));

  
    $wp_customize->add_setting( 'ac_repair_show_tagline',array(
        'default' => false,
        'sanitize_callback' => 'ac_repair_switch_sanitization'
   ) );
   $wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_show_tagline',array(
        'label' => __( 'Site Tagline','ac_repair' ),
        'section' => 'title_tagline'
   ))); 

    $wp_customize->add_setting('ac_repair_logo_size',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_logo_size',array(
    'label' => __('Logo Width','ac_repair'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('ac_repair_logo_height',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_logo_height',array(
    'label' => __('Logo Height','ac_repair'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 150,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('ac_repair_logo_margin',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('ac_repair_logo_margin',array(
      'label' => __('Logo Padding','ac_repair'),
      'section' => 'title_tagline'
   ));

$wp_customize->add_setting('ac_repair_logo_top_margin',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_logo_top_margin',array(
    'type' => 'number',
    'label' => __('Top','ac_repair'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('ac_repair_logo_bottom_margin',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_logo_bottom_margin',array(
    'type' => 'number',
    'label' => __('Bottom','ac_repair'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('ac_repair_logo_left_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_logo_left_margin',array( 
    'type' => 'number',
    'label' => __('Left','ac_repair'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('ac_repair_logo_right_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_logo_right_margin',array(
    'type' => 'number',
    'label' => __('Right','ac_repair'),
    'section' => 'title_tagline',
    ));
?>