<?php 
// /HEADER SETTINGS IN CUSTOMIZER
 $wp_customize->add_section( 'header_menu_settings' , array(
        'title'    => __( 'Menu Settings', 'ac_repair-premium' ),
        'priority' => null,
        'panel' => 'ac_repair_header_panel2'
    ) ); 

$wp_customize->add_setting('ac_repair_reset_menusetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_menusetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Menu Settings', 'ac_repair'),
  'description' => 'ac_repair_menusetting_reset_settings',
  'section' => 'header_menu_settings'
)));

    $wp_customize->add_setting('ac_repair_menusetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_menusetting_nav', array(
       'section' => 'header_menu_settings',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               'ac_repair_submenu_animation',
               'ac_repair_menu_case',
               'ac_repair_menu_font_size',
               'ac_repair_menu_font_weight'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'header_topmenusColor',
                'header_topmenushoverColor',
                'header_topmenusactiveColor',
                'header_topsubmenusColor',
                'header_submenusbgssc1Color1',
                'header_submenusbgssc1Color2'                         
            ), 
         ),
          array(
            'name' => esc_html__('Responsive', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-desktop',
            'fields' => array(
                'header_topsubmenuiconColor',
                'header_respnavtoggbarbgssColor',
                'header_respnavbsbgssColor',
                'header_navigationrespnavbrssColor',
                'ac_repair_respmenu_font_size'
           ),
         )
        ),
    )));

//menu dropdown animation
$lzmenuanimation = getAnimations(true);

$wp_customize->add_setting(
   'ac_repair_submenu_animation',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '2'
   )
);
$wp_customize->add_control(
   new ac_repair_Font_Chooser(
      $wp_customize,
      'ac_repair_submenu_animation',
      array(
         'settings'=> 'ac_repair_submenu_animation',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Dropdown Animations', 'ac_repair Premium'),
         'choices'=>$lzmenuanimation
      )
   )
);

//menu font case
$lzmenufontcase = getfontcase(true);

$wp_customize->add_setting(
   'ac_repair_menu_case',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new ac_repair_Font_Chooser(
      $wp_customize,
      'ac_repair_menu_case',
      array(
         'settings'=> 'ac_repair_menu_case',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Font Case', 'ac_repair Premium'),
         'choices'=>$lzmenufontcase
      )
   )
);

   $wp_customize->add_setting('ac_repair_menu_font_size',array(
      'default' => '16',
      'sanitize_callback'  => 'ac_repair_sanitize_integer'
   ));
   $wp_customize->add_control('ac_repair_menu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','ac_repair'),
      'section' => 'header_menu_settings',
   ));

   $wp_customize->add_setting('ac_repair_menu_font_weight',array(
     'default' => '400',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_menu_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'header_menu_settings',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_menu_settings', 'Menus Color', '');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_menu_settings', 'Menus Hover Color', '');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_menu_settings', 'Active Menus Color', '');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_menu_settings', 'Dropdown Menus Color', '');

addColorPalatOption($wp_customize, 'header_submenusbgssc1Color1', 'header_menu_settings', 'Dropdown BG Color', '');
addColorPalatOption($wp_customize, 'header_submenusbgssc1Color2', 'header_menu_settings', 'Dropdown BG Color', '');

addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'header_menu_settings', 'Menus Icon Color', '');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_menu_settings', 'Toggle Bar Color', '');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_menu_settings', 'Background Color', '');
addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_menu_settings', 'Border Color', '');

 $wp_customize->add_setting('ac_repair_respmenu_font_size',array(
      'default' => '16px',
      'sanitize_callback'  => 'ac_repair_sanitize_integer'
   ));
   $wp_customize->add_control('ac_repair_respmenu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','ac_repair'),
      'section' => 'header_menu_settings',
   ));
?>