<?php 
    $wp_customize->add_section(
        'ac_repair_about_section',
        array(
            'title' => __( 'About Us', 'ac_repair-premium' ),
            'panel' => 'ac_repair_premium_home_panel1',
            'priority' =>20
        )
    );

$wp_customize->add_setting('ac_repair_reset_about_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_about_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset about Section Settings', 'ac_repair'),
  'description' => 'ac_repair_reset_about_settings',
  'section' => 'ac_repair_about_section'
)));

$wp_customize->add_setting('ac_repair_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_about_nav', array(
       'section' => 'ac_repair_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'ac_repair_about_enable',
                'ac_repair_about_image',
                'ac_repair_about_section_span_title',
                'ac_repair_about_section_title1',
                'ac_repair_about_head_icon_enable',
                'ac_repair_about_head_icon',
                'ac_repair_about_subtitle',
                'ac_repair_about_text',
                'ac_repair_about_texttext',
                'ac_repair_about_page_list',                
                'ac_repair_about_button_display',
                'ac_repair_about_btn_txt',
                'ac_repair_about_btnlink'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'ac_repair_about_section_bg_color',
                'ac_repair_about_section_bg_image',
                'ac_repair_about_image_opacity',               
                'ac_repair_about_title_heading1',
                'ac_repair_premium_about_section_background',
                'ac_repair_about_bg_color',
                'ac_repair_about_bg_image',                
                'ac_repair_about_box_onload_effects',
                'ac_repair_about_head_align',
                'ac_repair_about_area_btn_color', 
                'ac_repairabout_area_btnbg1_color',
                'ac_repairabout_area_btnbg2_color',
                'ac_repair_about_span_head_color',
                'ac_repair_about_span_head_BG_color',
                'ac_repair_about_heading_color1',
                'ac_repair_about_heading_icon_color',
                'ac_repair_about_heading_brdr_color',
                'ac_repair_about_subtitle_color',
                'ac_repair_about_hr_bx_txt_color',
                'ac_repair_about_hr_bx_BG_color1',
                'ac_repair_about_hr_bx_BG_color2',
                'ac_repair_about_text_color',
                'ac_repair_about_list_color',
                'ac_repair_about_icon_color',
                'ac_repair_about_list_iconBG_color',
                'ac_repair_about_phn_lbl_color',
                'ac_repair_about_phn_txt_color',
                'ac_repair_about_iconbg_color',
                'ac_repair_about_button_color',
                'ac_repair_about_buttonbg_color1',
                'ac_repair_about_buttonbg_color2',
                'ac_repair_about_buttonbghover_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'ac_repair_about_padding',
                'ac_repair_about_top_padding',
                'ac_repair_about_bottom_padding',
                'ac_repair_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'ac_repair_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'ac_repair_switch_sanitization'
) );
$wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_about_enable',array(
    'label' => __( 'Disable Section','ac_repair' ),
    'section' => 'ac_repair_about_section'
)));

    $wp_customize->add_setting( 'ac_repair_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ac_repair_about_image', array(
        'label' => __('About Image','ac_repair'),
       'section' => 'ac_repair_about_section',
    )));

  $wp_customize->add_setting(
    'ac_repair_about_section_span_title',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'A', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_about_section_span_title',
    array(
        'settings'      => 'ac_repair_about_section_span_title',
        'section'       => 'ac_repair_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Span Heading', 'ac_repair' )
    )
);

$wp_customize->add_setting(
    'ac_repair_about_section_title1',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'bout Us', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_about_section_title1',
    array(
        'settings'      => 'ac_repair_about_section_title1',
        'section'       => 'ac_repair_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'ac_repair' )
    )
);


    $wp_customize->add_setting('ac_repair_about_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_about_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','ac_repair'),
        'choices' => array (
            'No' => __('No','ac_repair'),
            'Yes' => __('Yes','ac_repair')        
        ),
        'section' => 'ac_repair_about_section'
    ));
 $wp_customize->add_setting(
        'ac_repair_about_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'ac_repair_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new ac_repair_Fontawesome_Icon_Chooser(
            $wp_customize,
            'ac_repair_about_head_icon',
            array(
                // 'settings'      => 'ac_repair_about_head_icon',
                'section'       => 'ac_repair_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'ac_repair-premium' ),
                'active_callback' => 'ac_repair_about_type_icon'
            )
        )
    );
    $wp_customize->add_setting(
    'ac_repair_about_subtitle',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'High Standard Trusted & Professional Services', 'ac_repair-premium' )
    )
);
$wp_customize->add_control(
    'ac_repair_about_subtitle',
    array(
        'settings'      => 'ac_repair_about_subtitle',
        'section'       => 'ac_repair_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Title', 'ac_repair-premium' )
    )
);
$wp_customize->add_setting(
    'ac_repair_about_text',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna .', 'ac_repair-premium' )
    )
);
$wp_customize->add_control(
    'ac_repair_about_text',
    array(
        'settings'      => 'ac_repair_about_text',
        'section'       => 'ac_repair_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Description', 'ac_repair-premium' )
    )
);


$wp_customize->add_setting(
    'ac_repair_about_page_list',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( '<ul>
           <li>Corporate Cash Management</li>
            <li>Cost According Fundamental</li>
            <li>According Procedures Guidebook</li>
            <li>Creative Websites Design</li>
            <li>We Have Expert Technicians</li>
            </ul>', 'ac_repair-premium' )
    )
);
$wp_customize->add_control(
    'ac_repair_about_page_list',
    array(
        'settings'      => 'ac_repair_about_page_list',
        'section'       => 'ac_repair_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points ', 'ac_repair-premium' )
    )
);
// backgroundManager($wp_customize, 'about', 'ac_repair_about_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'ac_repair_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ac_repair_about_section_bg_color', array(
        'label' => __('Section Background Color','ac_repair'),
       'section' => 'ac_repair_about_section',
    )));

   $wp_customize->add_setting( 'ac_repair_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ac_repair_about_section_bg_image', array(
        'label' => __('Section Background Image','ac_repair'),
       'section' => 'ac_repair_about_section',
    )));


    $wp_customize->add_setting('ac_repair_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'ac_repair_sanitize_float'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_about_image_opacity',array(
    'label' => __('Background Opacity','ac_repair'),
    'section' => 'ac_repair_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

// to show & hide another button
$wp_customize->add_setting( 'ac_repair_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'ac_repair_about_button_display', array( 'label' => 'Button Display', 'section' => 'ac_repair_about_section', 'settings' => 'ac_repair_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'ac_repair_about_btn_txt',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'ac_repair_about_btn_txt', 
    array(
        'settings'      => 'ac_repair_about_btn_txt',
        'section'       => 'ac_repair_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'ac_repair-premium' )
    )
);
$wp_customize->add_setting('ac_repair_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ac_repair_about_btnlink',
    array(
        'settings'      => 'ac_repair_about_btnlink',
        'section'       => 'ac_repair_about_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'ac_repair-premium' )
    )
);

    $wp_customize->add_setting('ac_repair_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','ac_repair'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','ac_repair'),
            'wow bounceInRight' => __('Bounce In Right','ac_repair'),
            'wow bounceInUp' => __('Bounce In Up','ac_repair'),
            'wow bounceInDown' => __('Bounce In Down','ac_repair'),
            'wow zoomIn' => __('Zoom In','ac_repair'),
            'wow zoomOut' => __('Zoom Out','ac_repair'),
            'wow fadeInDown' => __('Fade In Down','ac_repair'),            
            'wow fadeInUp' => __('Fade In Up','ac_repair'),
            'wow fadeInLeft' => __('Fade In Left','ac_repair'),
            'wow fadeInRight' => __('Fade In Right','ac_repair'),
            'flip-up' => __('Flip Up','ac_repair')
        ),
        'section' => 'ac_repair_about_section',
    ));

      $wp_customize->add_setting('ac_repair_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_about_head_align',array(
        'type' => 'select',
        'label' => __('Head Alignment','ac_repair'),
        'choices' => array (
            'Center' => __('Center','ac_repair'),
            'Left' => __('Left','ac_repair'),
            'Right' => __('Right','ac_repair')
        ),
        'section' => 'ac_repair_about_section',
    ));


   $wp_customize->add_setting('ac_repair_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('ac_repair_about_padding',array(
      'label' => __('Section Padding','ac_repair'),
      'section' => 'ac_repair_about_section'
   ));
   
    $wp_customize->add_setting('ac_repair_about_top_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','ac_repair'),
    'section' => 'ac_repair_about_section',
    ));
     $wp_customize->add_setting('ac_repair_about_bottom_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','ac_repair'),
    'section' => 'ac_repair_about_section',
    ));

    $wp_customize->add_setting('ac_repair_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','ac_repair'),
        'choices' => array (
            'Box Width' => __('Box Width','ac_repair'),
            'Full Width' => __('Full Width','ac_repair')
        ),
        'section' => 'ac_repair_about_section',
    ));

addColorPalatOption($wp_customize, 'ac_repair_about_span_head_color', 'ac_repair_about_section', 'Title Span Color', '');
addColorPalatOption($wp_customize, 'ac_repair_about_span_head_BG_color', 'ac_repair_about_section', 'Title Span BG Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_heading_color1', 'ac_repair_about_section', 'Title Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_heading_icon_color', 'ac_repair_about_section', 'Title Icon Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_heading_brdr_color', 'ac_repair_about_section', 'Title Border Color', '');


addColorPalatOption($wp_customize, 'ac_repair_about_subtitle_color', 'ac_repair_about_section', 'Sub Title Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_hr_bx_txt_color', 'ac_repair_about_section', 'Circle Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_hr_bx_BG_color1', 'ac_repair_about_section', 'Circle BG Color', '');
addColorPalatOption($wp_customize, 'ac_repair_about_hr_bx_BG_color2', 'ac_repair_about_section', 'Circle BG Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_text_color', 'ac_repair_about_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'ac_repair_about_list_color', 'ac_repair_about_section', 'List Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_icon_color', 'ac_repair_about_section', 'List Icon Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_list_iconBG_color', 'ac_repair_about_section', 'List Icon BG Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_phn_lbl_color', 'ac_repair_about_section', 'Phone Label Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_phn_txt_color', 'ac_repair_about_section', 'Phone Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_button_color', 'ac_repair_about_section', 'Button Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_buttonbg_color1', 'ac_repair_about_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'ac_repair_about_buttonbg_color2', 'ac_repair_about_section', 'Button Background Color', '');

addColorPalatOption($wp_customize, 'ac_repair_about_buttonbghover_color', 'ac_repair_about_section', 'Button BG Hover Color', '');

?>