<?php
$wp_customize->add_section(
    'ac_repair_service_section',
    array(
        'title'   => __( 'Services', 'ac_repair' ),
        'panel'   => 'ac_repair_premium_home_panel1',
        'priority' =>19
    )
); 
 
$wp_customize->add_setting('ac_repair_reset_service_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
)); 
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_service_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Service Section Settings', 'ac_repair'),
  'description' => 'ac_repair_services_reset_settings',
  'section' => 'ac_repair_service_section'
))); 

$wp_customize->add_setting('ac_repair_Services_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_Services_nav', array(
       'section' => 'ac_repair_service_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'ac_repair_service_enable',  
                'ac_repair_service_area_lbl',
                'ac_repair_service_section_lbl', 
                'ac_repair_service_number', 
                'ac_repair_service_heading1',
                'ac_repair_service_heading2',
                'ac_repair_service_heading3',
                'ac_repair_service_heading4',
                'ac_repair_service_heading5',
                'ac_repair_service_heading6',
                'ac_repair_service_heading7',
                'ac_repair_service_heading8',
                'ac_repair_service_heading9',
                'ac_repair_service_heading10',
                'ac_repair_service_heading11',
                'ac_repair_service_heading12',
                'ac_repair_service_page1',
                'ac_repair_service_page2',
                'ac_repair_service_page3',
                'ac_repair_service_page4',
                'ac_repair_service_page5',
                'ac_repair_service_page6',
                'ac_repair_service_page7',
                'ac_repair_service_page8',
                'ac_repair_service_page9',
                'ac_repair_service_page10',
                'ac_repair_service_page11',
                'ac_repair_service_page12',
                'ac_repair_service_icon_enable',
                'ac_repair_service_button_enable',
                'ac_repair_service_button_text'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'ac_repair_service_section_bg_color',
                'ac_repair_service_section_bg_image',
                'ac_repair_service_image_opacity',  
                'ac_repair_services_imghover_color',      
                'ac_repair_service_box_onload_effects',
                'ac_repair_service_title_case',
                // 'ac_repair_services_head_align',
                'ac_repair_services_content_align',
                'ac_repair_services_overlay_color1',
                'ac_repair_services_overlay_color2',
                'ac_repair_services_heading_color1',
                'ac_repair_services_subheading_color',
                 'ac_repair_services_title_color1',
                'ac_repair_services_text_color',
                'ac_repair_services_text_border_color',
                'ac_repair_services_btntext_color',
                'ac_repair_services_btntext_brdr_color',
                'ac_repair_services_btntextHover_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'ac_repair_service_padding',
                'ac_repair_service_top_padding',
                'ac_repair_service_bottom_padding',          
                 'ac_repair_service_section_width',           
                'ac_repair_services_post_image_height',            
                'ac_repair_services_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'ac_repair_service_enable',array(
    'default' => true,
    'sanitize_callback' => 'ac_repair_switch_sanitization'
) );
$wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_service_enable',array(
    'label' => __( 'Disable Section','ac_repair' ),
    'section' => 'ac_repair_service_section'
)));

$ServicesSingleChoice[] = 'select';
if(!is_array($ServicesSingleChoice)){
    $wp_customize->add_setting('ac_repair_service_area_lbl', array('sanitize_callback'=>'ac_repair_sanitize_text'));
    $wp_customize->add_control(
        new ac_repair_Info_Text( 
            $wp_customize,
            'ac_repair_service_area_lbl',
            array(
                'settings'      => 'ac_repair_service_area_lbl',
                'section'       => 'ac_repair_service_section',
                'label'         => __( 'Note:', 'ac_repair Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the service.</strong> <br/>Please add the service from "service menu" and then select Testimonial to show information.', 'ac_repair Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('ac_repair_service_section_lbl', array('sanitize_callback'=>'ac_repair_sanitize_text'));
$wp_customize->add_control(
    new ac_repair_Info_Text( 
        $wp_customize,
        'ac_repair_service_section_lbl',
        array(
            'settings'      => 'ac_repair_service_section_lbl',
            'section'       => 'ac_repair_service_section',
            'label'         => __( 'Note:', 'ac_repair Premium' ), 
            'description'   => __( 'Just place the shortcode "[SERVICES]" in your page to list the service in a page ', 'ac_repair Premium' ),
        )
    )
);

$wp_customize->add_setting('ac_repair_service_number',array('sanitize_callback' => 'ac_repair_sanitize_text','default' => 3));
$wp_customize->add_control(
    'ac_repair_service_number',
    array(
        'settings'      => 'ac_repair_service_number',
        'section'       => 'ac_repair_service_section',
        'type'          => 'select',
        'label'         => __( 'Number of service to show', 'ac_repair-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//service PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'ac_repair_service_heading'.$i,
        array(
            'sanitize_callback' => 'ac_repair_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new ac_repair_Customize_Heading(
            $wp_customize,
            'ac_repair_service_heading'.$i,
            array(
                'settings'      => 'ac_repair_service_heading'.$i,
                'section'       => 'ac_repair_service_section',
                'label'         => __( 'Service', 'ac_repair Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'ac_repair_service_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'ac_repair_service_page'.$i,
        array(
            'settings'      => 'ac_repair_service_page'.$i,
            'section'       => 'ac_repair_service_section',
            'type'=> 'select',
            'label'         => __( 'Select Service', 'ac_repair Premium' ),
            'choices' => $ServicesSingleChoice,
        )
    );
}

$wp_customize->add_setting( 'ac_repair_service_button_enable',array(
    'default' => true,
    'sanitize_callback' => 'ac_repair_switch_sanitization'
) );
$wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_service_button_enable',array(
    'label' => __( 'Button Display','ac_repair' ),
    'section' => 'ac_repair_service_section'
)));

$wp_customize->add_setting(
    'ac_repair_service_button_text',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'ac_repair_service_button_text',
    array(
        'settings'      => 'ac_repair_service_button_text',
        'section'       => 'ac_repair_service_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'ac_repair-premium' ) 
    )
);
$wp_customize->add_setting('ac_repair_service_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ac_repair_service_btnlink',
    array(
        'settings'      => 'ac_repair_service_btnlink',
        'section'       => 'ac_repair_service_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'ac_repair-premium' )
    )
);

  $wp_customize->add_setting( 'ac_repair_service_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ac_repair_service_section_bg_color', array(
        'label' => __('Section Background Color','ac_repair'),
       'section' => 'ac_repair_service_section',
    )));

    $wp_customize->add_setting( 'ac_repair_service_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ac_repair_service_section_bg_image', array(
        'label' => __('Section Background Image','ac_repair'),
       'section' => 'ac_repair_service_section',
    )));

 $wp_customize->add_setting('ac_repair_service_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'ac_repair_sanitize_float'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_service_image_opacity',array(
    'label' => __('Background Opacity','ac_repair'),
    'section' => 'ac_repair_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 $wp_customize->add_setting('ac_repair_service_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_service_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','ac_repair'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','ac_repair'),
            'wow bounceInRight' => __('Bounce In Right','ac_repair'),
            'wow bounceInUp' => __('Bounce In Up','ac_repair'),
            'wow bounceInDown' => __('Bounce In Down','ac_repair'),
            'wow zoomIn' => __('Zoom In','ac_repair'),
            'wow zoomOut' => __('Zoom Out','ac_repair'),
            'wow fadeInDown' => __('Fade In Down','ac_repair'),            
            'wow fadeInUp' => __('Fade In Up','ac_repair'),
            'wow fadeInLeft' => __('Fade In Left','ac_repair'),
            'wow fadeInRight' => __('Fade In Right','ac_repair'),
            'flip-up' => __('Flip Up','ac_repair')
        ),
        'section' => 'ac_repair_service_section',
    ));

    $wp_customize->add_setting('ac_repair_services_content_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_services_content_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','ac_repair'),
        'choices' => array (
            'Center' => __('Center','ac_repair'),
            'Left' => __('Left','ac_repair'),
            'Right' => __('Right','ac_repair')
        ),
        'section' => 'ac_repair_service_section',
    ));

     $wp_customize->add_setting('ac_repair_service_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_service_title_case',array(
        'type' => 'select',
        'label' => __('Services Title Case','ac_repair'),
        'choices' => array (
            'Uppercase' => __('Uppercase','ac_repair'),
            'Lowercase' => __('Lowercase','ac_repair'),
            'Capitalize' => __('Capitalize','ac_repair'),
            'None' => __('None','ac_repair')
        ),
        'section' => 'ac_repair_service_section',
    ));

addColorPalatOption($wp_customize, 'ac_repair_services_heading_color1', 'ac_repair_service_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'ac_repair_services_subheading_color', 'ac_repair_service_section', 'Subheading Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_services_overlay_color1', 'ac_repair_service_section', 'Box Overlay Color', '');
addColorPalatOption($wp_customize, 'ac_repair_services_overlay_color2', 'ac_repair_service_section', 'Box Overlay Color', '');

addColorPalatOption($wp_customize, 'ac_repair_services_title_color1', 'ac_repair_service_section', 'Box Title Color', '');

addColorPalatOption($wp_customize, 'ac_repair_services_text_color', 'ac_repair_service_section', 'Box Text Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_services_text_border_color', 'ac_repair_service_section', 'Text Border Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_services_btntext_color', 'ac_repair_service_section', 'Button Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_services_btntext_brdr_color', 'ac_repair_service_section', 'Button Text Border Color', '');

addColorPalatOption($wp_customize, 'ac_repair_services_btntextHover_color', 'ac_repair_service_section', 'Button Text Hover Color', '');

 $wp_customize->add_setting('ac_repair_service_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('ac_repair_service_padding',array(
      'label' => __('Section Padding','ac_repair'),
      'section' => 'ac_repair_service_section'
   ));

    $wp_customize->add_setting('ac_repair_service_top_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_service_top_padding',array(
    'type' => 'number',
    'label' => __('Top','ac_repair'),
    'section' => 'ac_repair_service_section',
    ));
     $wp_customize->add_setting('ac_repair_service_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_service_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','ac_repair'),
    'section' => 'ac_repair_service_section',
    ));

  $wp_customize->add_setting('ac_repair_service_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_service_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','ac_repair'),
        'choices' => array (
            'Box Width' => __('Box Width','ac_repair'),
            'Full Width' => __('Full Width','ac_repair')
        ),
        'section' => 'ac_repair_service_section',
    ));

// backgroundManager($wp_customize, 'services', 'ac_repair_service_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting('ac_repair_services_post_image_height',array(
        'default' => 375,
        'sanitize_callback' => 'ac_repair_sanitize_integer'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_services_post_image_height',array(
    'label' => __('Image Height','ac_repair'),
    'section' => 'ac_repair_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('ac_repair_services_post_excerpt',array(
        'default' => 20,
        'sanitize_callback' => 'ac_repair_sanitize_integer'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_services_post_excerpt',array(
    'label' => __('Excerpt Length','ac_repair'),
    'section' => 'ac_repair_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
?>