<?php
//$ac_repairSliderSingleChoice = getac_repairPostsType('slider');
$wp_customize->add_section(
    'ac_repair_slider_section', 
    array(
        'title' => __( 'Slider', 'ac_repair' ),
        'panel' => 'ac_repair_premium_home_panel1',
        'priority' =>18
    )
);
  
$wp_customize->add_setting('ac_repair_reset_slider_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_slider_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset slider Section Settings', 'ac_repair'),
  'description' => 'ac_repair_slider_reset_settings',
  'section' => 'ac_repair_slider_section'
)));

$wp_customize->add_setting('ac_repair_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_slider_nav', array(
       'section' => 'ac_repair_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',
                'ac_repair_slider_image_opacity'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'ac_repair_slider_img_opacity_color1',
                'ac_repair_slider_img_opacity_color2',
                'ac_repair_slider_heading_color',
                'ac_repair_slider_text_color',
                'ac_repair_slider_buttonbg_color1',
                'ac_repair_slider_buttonbg_color2',
                'ac_repair_slider_buttontext_color',
                'ac_repair_slider_buttontext_hover_color',
                'ac_repair_slider_indicatortext_color',
                'ac_repair_slider_indicat_arrow_bg_color',
                'ac_repair_slider_indicatortexthover_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'ac_repair_slider_section_width'
            ), 
         )
        ),
    )));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    )
);
$wp_customize->add_control(
    new ac_repair_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'ac_repair_slider_section',
            'label'         => __( 'Show Title and description on Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
    $wp_customize->add_setting('ac_repair_slider_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'ac_repair_sanitize_float'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_slider_image_opacity',array(
    'label' => __('Slider Image Opacity','ac_repair'),
    'section' => 'ac_repair_slider_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('ac_repair_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','ac_repair'),
        'choices' => array (
            'Box Width' => __('Box Width','ac_repair'),
            'Full Width' => __('Full Width','ac_repair')
        ),
        'section' => 'ac_repair_slider_section',
    ));


addColorPalatOption($wp_customize, 'ac_repair_slider_img_opacity_color1', 'ac_repair_slider_section', 'Image Opacity Color', '');
addColorPalatOption($wp_customize, 'ac_repair_slider_img_opacity_color2', 'ac_repair_slider_section', 'Image Opacity Color', '');

addColorPalatOption($wp_customize, 'ac_repair_slider_heading_color', 'ac_repair_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'ac_repair_slider_text_color', 'ac_repair_slider_section', 'Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_slider_buttonbg_color1', 'ac_repair_slider_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'ac_repair_slider_buttonbg_color2', 'ac_repair_slider_section', 'Button BG Color', '');

addColorPalatOption($wp_customize, 'ac_repair_slider_buttontext_color', 'ac_repair_slider_section', 'Button Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_slider_buttontext_hover_color', 'ac_repair_slider_section', 'Button Text Hover Color', '');

addColorPalatOption($wp_customize, 'ac_repair_slider_indicatortext_color', 'ac_repair_slider_section', 'Slider Arrow Color', '');

addColorPalatOption($wp_customize, 'ac_repair_slider_indicat_arrow_bg_color', 'ac_repair_slider_section', 'Slider Arrow BG Color', '');

addColorPalatOption($wp_customize, 'ac_repair_slider_indicatortexthover_color', 'ac_repair_slider_section', 'Slider Arrow Hover Color', '');
 ?>