<?php
  $lvl1ParentPanel = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));
$wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel3 = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 2
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test page',
    'panel' => 'ac_repair_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'ac_repair_inner_pages' , array(
        'title'    => __( 'Inner Pages', 'ac_repair-premium' ),
        'priority' => null,
        'panel' => 'ac_repair_header_panel3'
    ) );

$wp_customize->add_setting('ac_repair_reset_innerpages_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_innerpages_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Inner Pages Settings', 'ac_repair'),
  'description' => 'ac_repair_innerpages_reset_settings',
  'section' => 'ac_repair_inner_pages'
)));

    $wp_customize->add_setting('ac_repair_innerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_innerpages_nav', array(
       'section' => 'ac_repair_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'ac_repair_innerpage_pagetitle_padding',
                'ac_repair_innerpage_pagetitle_t_padding',
                'ac_repair_innerpage_pagetitle_b_padding' ,   
                'innerpage_featured_img_on_off',
                'ac_repair_innerpage_image_height',
                'page_title_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'ac_repair__page_layout',
                'ac_repair_inner_page_width'                
            ),
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'ac_repair_innerpage_image_opacity',
                'ac_repair_innerpage_header_box_onload_effects',   
                'ac_repair_innerpage_content_color',
                'ac_repair_innerpage_link_color',
                'ac_repair_innerpage_linkhover_color',
                'ac_repair_innerpage_bg_color',
                'ac_repair_innerpage_title_color',
                'ac_repair_innerpage_titlebg_color',
                'ac_repair_innerpage_listnumber_color',
                'ac_repair_innerpage_listnumberbg_color',
                'ac_repair_innerpage_pagination_color',
                'ac_repair_innerpage_paginationbg_color',
                'ac_repair_innerpage_paginationborder_color',
                'ac_repair_innerpage_paginationhoveractive_color',                
                'ac_repair_innerpage_blockquotebg_color',
                'ac_repair_innerpage_blockquotetext_color',
                'ac_repair_innerpage_formfield_color',
                'ac_repair_innerpage_formbg_color',
                'ac_repair_innerpage_formborder_color',
                'ac_repair_innerpage_formbuttontext_color',
                'ac_repair_innerpage_formbuttonbg_color',
                'ac_repair_innerpage_formbuttonhover_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting('ac_repair_innerpage_pagetitle_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('ac_repair_innerpage_pagetitle_padding',array(
      'label' => __('Page Tittle Padding','ac_repair'),
      'section' => 'ac_repair_inner_pages'
   ));

    $wp_customize->add_setting('ac_repair_innerpage_pagetitle_t_padding',array(
        'default' => '13',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpage_pagetitle_t_padding',array(
    'type' => 'number',
    'label' => __('Top','ac_repair'),
    'section' => 'ac_repair_inner_pages',
    ));
     $wp_customize->add_setting('ac_repair_innerpage_pagetitle_b_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpage_pagetitle_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','ac_repair'),
    'section' => 'ac_repair_inner_pages',
    ));

$wp_customize->add_setting(
    'innerpage_featured_img_on_off',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    )
);
$wp_customize->add_control(
    new ac_repair_Switch_Control(
        $wp_customize,
        'innerpage_featured_img_on_off',
        array(
            'settings'      => 'innerpage_featured_img_on_off',
            'section'       => 'ac_repair_inner_pages',
            'label'         => __( 'Page Featured Image', 'ac_repair-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'ac_repair-premium' ),
                'off' => __( 'No', 'ac_repair-premium' )
            ),
        )
    )
);

 $wp_customize->add_setting('ac_repair_innerpage_image_height',array(
        'default' => 300,
        'sanitize_callback' => 'ac_repair_sanitize_integer'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_innerpage_image_height',array(
    'label' => __('Page Header Image Height','ac_repair'),
    'section' => 'ac_repair_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

 $wp_customize->add_setting('ac_repair_innerpage_image_opacity',array(
        'default' => 0.5,
        'sanitize_callback' => 'ac_repair_sanitize_float'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_innerpage_image_opacity',array(
    'label' => __('Image Opacity','ac_repair'),
    'section' => 'ac_repair_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

$wp_customize->add_setting(
    'page_title_on_off',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    )
);
$wp_customize->add_control(
    new ac_repair_Switch_Control(
        $wp_customize,
        'page_title_on_off',
        array(
            'settings'      => 'page_title_on_off',
            'section'       => 'ac_repair_inner_pages',
            'label'         => __( 'Page Title', 'ac_repair-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'ac_repair-premium' ),
                'off' => __( 'No', 'ac_repair-premium' )
            ),
        )
    )
);

//Page Layout
$lzPageLayout = getPageLayout(true);

$wp_customize->add_setting(
   'ac_repair__page_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new ac_repair_Font_Chooser(
      $wp_customize,
      'ac_repair__page_layout',
      array(
         'settings'=> 'ac_repair__page_layout',
         'section' => 'ac_repair_inner_pages',
         'label'=>__('Left / Right and No Sidebar', 'ac_repair Premium'),
         'choices'=>$lzPageLayout
      )
   )
);

$wp_customize->add_setting('ac_repair_inner_page_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'ac_repair_sanitize_choices',
));
$wp_customize->add_control('ac_repair_inner_page_width',array(
    'type' => 'select',
    'label' => __('Page Width','ac_repair'),
    'choices' => array (
        'Box Width' => __('Box Width','ac_repair'),
        'Full Width' => __('Full Width','ac_repair')
    ),
    'section' => 'ac_repair_inner_pages',
));

$wp_customize->add_setting('ac_repair_innerpage_header_box_onload_effects',array(
    'default' => 'wow zoomIn',
    'sanitize_callback' => 'ac_repair_sanitize_choices',
));
$wp_customize->add_control('ac_repair_innerpage_header_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Header Box Transition Effects','ac_repair'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','ac_repair'),
        'wow bounceInRight' => __('Bounce In Right','ac_repair'),
        'wow bounceInUp' => __('Bounce In Up','ac_repair'),
        'wow bounceInDown' => __('Bounce In Down','ac_repair'),
        'wow zoomIn' => __('Zoom In','ac_repair'),
        'wow zoomOut' => __('Zoom Out','ac_repair'),
        'wow fadeInDown' => __('Fade In Down','ac_repair'),            
        'wow fadeInUp' => __('Fade In Up','ac_repair'),
        'wow fadeInLeft' => __('Fade In Left','ac_repair'),
        'wow fadeInRight' => __('Fade In Right','ac_repair'),
        'flip-up' => __('Flip Up','ac_repair')
    ),
    'section' => 'ac_repair_inner_pages',
));

addColorPalatOption($wp_customize, 'ac_repair_innerpage_content_color', 'ac_repair_inner_pages', 'Content Text Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_link_color', 'ac_repair_inner_pages', 'Link Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_linkhover_color', 'ac_repair_inner_pages', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_bg_color', 'ac_repair_inner_pages', 'Background Color', '');

addColorPalatOption($wp_customize, 'ac_repair_innerpage_title_color', 'ac_repair_inner_pages', 'Title Color', '');

addColorPalatOption($wp_customize, 'ac_repair_innerpage_titlebg_color', 'ac_repair_inner_pages', 'Title Background Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_listnumber_color', 'ac_repair_inner_pages', 'List Number Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_listnumberbg_color', 'ac_repair_inner_pages', 'List Number Background Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_pagination_color', 'ac_repair_inner_pages', 'Pagination Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_paginationbg_color', 'ac_repair_inner_pages', 'Pagination Background Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_paginationborder_color', 'ac_repair_inner_pages', 'Pagination Border Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_paginationhoveractive_color', 'ac_repair_inner_pages', 'Pagination Hover/Active Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_blockquotebg_color', 'ac_repair_inner_pages', 'Blockquote Background Color', '');
addColorPalatOption($wp_customize, 'ac_repair_innerpage_blockquotetext_color', 'ac_repair_inner_pages', 'Blockquote Text Color', '');
// addColorPalatOption($wp_customize, 'ac_repair_innerpage_formfield_color', 'ac_repair_inner_pages', 'Form Fields Text Color', '');
// addColorPalatOption($wp_customize, 'ac_repair_innerpage_formbg_color', 'ac_repair_inner_pages', 'Form Background Color', '');
// addColorPalatOption($wp_customize, 'ac_repair_innerpage_formborder_color', 'ac_repair_inner_pages', 'Form Border Color', '');
// addColorPalatOption($wp_customize, 'ac_repair_innerpage_formbuttontext_color', 'ac_repair_inner_pages', 'Form Button Text Color', '');
// addColorPalatOption($wp_customize, 'ac_repair_innerpage_formbuttonbg_color', 'ac_repair_inner_pages', 'Form Button Background Color', '');
// addColorPalatOption($wp_customize, 'ac_repair_innerpage_formbuttonhover_color', 'ac_repair_inner_pages', 'Form Button Hover Color', '');
?>