<?php
  $lvl2ParentPanel3 = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test single',
    'panel' => 'ac_repair_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'ac_repair_single_post' , array(
        'title'    => __( 'Single Post', 'ac_repair-premium' ),
        'priority' => null,
        'panel' => 'ac_repair_header_panel3'
    ) );

    $wp_customize->add_setting('ac_repair_reset_single_post_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_single_post_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Single Post Settings', 'ac_repair'),
  'description' => 'ac_repair_single_post_reset_settings',
  'section' => 'ac_repair_single_post'
)));

    $wp_customize->add_setting('ac_repair_singleeblog_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_singleeblog_nav', array(
       'section' => 'ac_repair_single_post',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'featured_img_on_off',
                'ac_repair__blogspost_layout',
                'ac_repair_single_post_image_height',
                'ac_repair_single_show_author',
                'ac_repair_single_show_date',
                'ac_repair_single_show_time',
                'ac_repair_single_show_category',
                'ac_repair_single_show_comments',
                'ac_repair_single_show_tags',
                'single_blog_socials_on_off'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'ac_repair_singleblogpage_title_color',
                'ac_repair_singleblogpage_metatext_color',
                'ac_repair_singleblogpage_contenttext_color',
                'ac_repair_singleblogpage_button_color',
                'ac_repair_singleblogpage_buttonhover_color',
                'ac_repair_singleblogpage_buttonborder_color',
                'ac_repair_singleblogpage_socialicon_color',
                'ac_repair_singleblogpage_socialiconhover_color',
                'ac_repair_singleblogpage_metaicon_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'featured_img_on_off',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    )
);
$wp_customize->add_control(
    new ac_repair_Switch_Control(
        $wp_customize,
        'featured_img_on_off',
        array(
            'settings'      => 'featured_img_on_off',
            'section'       => 'ac_repair_single_post',
            'label'         => __( 'Show Featured Image', 'ac_repair-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'ac_repair-premium' ),
                'off' => __( 'No', 'ac_repair-premium' )
            ),
        )
    )
);

     $wp_customize->add_setting('ac_repair_single_post_image_height',array(
        'default' => 330,
        'sanitize_callback' => 'ac_repair_sanitize_integer'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_single_post_image_height',array(
    'label' => __('Featured Image Height','ac_repair'),
    'section' => 'ac_repair_single_post',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

//Blog Single Post Layout
$lzBlogSPostLayout = getBlogSPostLayout(true);

$wp_customize->add_setting(
   'ac_repair__blogspost_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new ac_repair_Font_Chooser(
      $wp_customize,
      'ac_repair__blogspost_layout',
      array(
         'settings'=> 'ac_repair__blogspost_layout',
         'section' => 'ac_repair_single_post',
         'label'=>__('Post Sidebar', 'ac_repair Premium'),
         'choices'=>$lzBlogSPostLayout
      )
   )
);

$wp_customize->add_setting('ac_repair_single_show_author',array(
  'default' => true,
  'sanitize_callback'   => 'ac_repair_sanitize_checkbox'
));
$wp_customize->add_control('ac_repair_single_show_author',array(
  'type' => 'checkbox',
  'label' => __('Show / Hide Author','ac_repair'),
  'section' => 'ac_repair_single_post'
));

$wp_customize->add_setting('ac_repair_single_show_date',array(
      'default' => true,
      'sanitize_callback'   => 'ac_repair_sanitize_checkbox'
   ));
   $wp_customize->add_control('ac_repair_single_show_date',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Date','ac_repair'),
      'section' => 'ac_repair_single_post'
   ));

$wp_customize->add_setting('ac_repair_single_show_time',array(
      'default' => true,
      'sanitize_callback'   => 'ac_repair_sanitize_checkbox'
   ));
   $wp_customize->add_control('ac_repair_single_show_time',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Time','ac_repair'),
      'section' => 'ac_repair_single_post'
   ));

$wp_customize->add_setting('ac_repair_single_show_category',array(
      'default' => true,
      'sanitize_callback'   => 'ac_repair_sanitize_checkbox'
   ));
   $wp_customize->add_control('ac_repair_single_show_category',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Category','ac_repair'),
      'section' => 'ac_repair_single_post'
   ));

    $wp_customize->add_setting('ac_repair_single_show_comments',array(
      'default' => true,
      'sanitize_callback'   => 'ac_repair_sanitize_checkbox'
   ));
   $wp_customize->add_control('ac_repair_single_show_comments',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Comments','ac_repair'),
      'section' => 'ac_repair_single_post'
   ));

      $wp_customize->add_setting('ac_repair_single_show_tags',array(
      'default' => true,
      'sanitize_callback'   => 'ac_repair_sanitize_checkbox'
   ));
   $wp_customize->add_control('ac_repair_single_show_tags',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Tags','ac_repair'),
      'section' => 'ac_repair_single_post'
   ));

$wp_customize->add_setting(
    'single_blog_socials_on_off',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    )
);
$wp_customize->add_control(
    new ac_repair_Switch_Control(
        $wp_customize,
        'single_blog_socials_on_off',
        array(
            'settings'      => 'single_blog_socials_on_off',
            'section'       => 'ac_repair_single_post',
            'label'         => __( 'Socials', 'ac_repair-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'ac_repair-premium' ),
                'off' => __( 'No', 'ac_repair-premium' )
            ),
        )
    )
);

addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_title_color', 'ac_repair_single_post', 'Title Color', '');
addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_metatext_color', 'ac_repair_single_post', 'Meta Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_metaicon_color', 'ac_repair_single_post', 'Meta Text Icon Color', '');

addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_contenttext_color', 'ac_repair_single_post', 'Content Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_button_color', 'ac_repair_single_post', 'Button Color', '');
addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_buttonhover_color', 'ac_repair_single_post', 'Button hover Color', '');
addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_buttonborder_color', 'ac_repair_single_post', 'Button border Color', '');

addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_socialicon_color', 'ac_repair_single_post', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'ac_repair_singleblogpage_socialiconhover_color', 'ac_repair_single_post', 'Social Icon hover Color', '');
?>